Community engagement is broken

Reported by Tal Liron on 2011-10-26
480
This bug affects 103 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Unassigned
Unity
Undecided
Unity Team
ubuntu-community
Undecided
Unassigned
unity-2d
Undecided
Unassigned
unity-2d (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

This bug is opened with love.

The issue appears to be a communications failure between the people who make Unity and its community of users. The bug is easy to reproduce: open a Launchpad bug about how Unity breaks a common usage pattern, and you get a "won't fix" status and then radio silence. The results of this bug are what seems to be a sizable community of disgruntled, dismayed and disappointed users, who go on to spread their discontent and ill will. I'm sure this ill will is painful for the awesome folk working on Unity. It's painful for the community, too.

For a heartbreaking example, see: https://bugs.launchpad.net/unity/+bug/668415 or https://bugs.launchpad.net/ayatana-design/+bug/733349

The bug primarily affects Unity, but also affects Ayatana and Ubuntu quite directly. Unity is a rather small program and project in Ubuntu, but -- whether the Unity teams likes it or not -- it is the front face of Ubuntu, and the project and its ability to engage the community is considered as representative of Ubuntu as a whole.

I can think of numerous causes for this bug:

1. A lack of transparency.

Reasonable bugs seem to get closed because they do not fit in "Unity's vision," or are contradicted by the usability tests conducted for Ayatana, for which the team is rightfully proud. However, no details are provided beyond this claim: How does this contradict the "vision"? Where are the results of the usability tests that apply to this issue? It doesn't help that Mark Shuttleworth, who we look to for leadership, seems to enjoy being tight-lipped about the future specifics of this "vision," leaving the community in an anxious wait-and-see position. For example, when the window controls were moved from right to left, many of us were baffled. It took some time until we saw how this fit in Unity's global menu, but until then there was considerable confusion. It *seemed* arbitrary.

2. Marketing failure has caused unreasonable expectations.

Unity has become the default shell for most Ubuntu distributions, leading users to expect general usability from it. However, Unity is known to be broken for common multi-monitor setups. This disappointment could have been easily avoided if Unity were the default for laptops and netbooks, but not for desktops. Or if there was a friendly popup opening when Unity were running in multi-monitor mode: "The Unity shell currently has limited support for multi-monitor setups. Would you like to switch to GNOME Shell instead? y/n".

3. The Unity team ignores strongly-worded criticism.

Unfortunately, some members of the user community lack restraint. Moreover, the wonderfully international dimension of Ubuntu gathers people of various cultures, who do not always natively own English, the lingua franca of Launchpad. So, some words may appear stronger than they were intended. Sure, there's the golden rule of "never argue on the Internet," but this is not about arguing. It's about engaging your target audience. It's about friendship and neighborliness. It's about community. My suspicion is that there might be a formal policy for the project of not responding to strongly-worded criticism. But its motivation is likely a lack of patience, and also some condescension. That's not community.

4. The Unity team does not join the discussion.

This might be a more technical issue. Could it be that they simply don't know what the community is saying? If that's the case, it should be a policy to actively look for community thought. This goes far beyond Launchpad: we would want to see Unity folk in the Ubuntu Forums. We want to see them responding to popular Ubuntu blogs.

My fear is that this bug, too, will be closed as irrelevant, invalid, "won't fix" or whatever. I hope instead that the Unity project will use this as an opportunity to finally fix this. Moreover, I hope this bug won't be closed until the situation can objectively be deemed satisfactory.

I'm marking this as affecting ayatana-design too because there is a lack of transparency in design process too (in a lot of bugs that were closed as won't fix, the stated reason was "the design team does not agree with this" or something similar).

I really hope this issue is resolved.

description: updated
Constantine (theaspect) wrote :

I think desing team commonly work on macs, otherwise, if they're working whole day, everyday with unity they would see obvious problems in interface. Сopying without understanding of the underlying causes is the Big problem.

Tal Liron (emblem-parade) wrote :

@Constantine

This bug is not about Unity being good or not. Lots of open source software doesn't start very well but ends up fabulous after growing with the community. Complaining does not help.

This bug is about the Unity team not engaging the community, which is a resource with excellent potential for quality assurance and marketing. It's also free! The standard open source model, which has proved itself again and again, shows that success depends upon the community. This model is the foundation of the Ubuntu project. Hence, I have opened this bug because the model is broken. The community is not involved in the process well enough.

SRoesgen (s-roesgen) wrote :
Download full text (3.5 KiB)

@Tal Liron
@Constantine

I agree with Tal Liron. We should not start bashing Unity. A general problem I see is the behaviour of people to simply ignore the protest of users, when/if they see a problem with some parts of the design plans on which seemingly Unity is based. And this bug report addresses these problems perfectly.

@all
I, too, see a problem with transparency and communication between the developers (and especially the Ayatana Team) and the rest of the community. It took 148 affects me voters and nearly one year to get a reasonable response to bug 668415. The simple answer of Tim Penhey that the design team is currently rethinking the position of the launcher (or rather the whole concept/idea on which its positioning is based). I am very thankful to Tim Penhey that at least some developer gave a reasonable answer.
The simple question here is, why did it take so long to simply say "we are currently rethinking the issue".
The problems that led to rethinking the concept were discussed month before the release of Oneiric but all the good arguments simply resulted in a "won't fix". Reasonable arguments resulted in a "won't fix because of design decision" without any additional reasonable explanation.
That is no way to deal with human beings (the motto of Ubuntu being "the Operating System for human beings" became a real joke for me at that moment) and it was especially not a way to deal with intelligent people who really tried to present reasonable arguments.

So after these words: I am nevertheless starting to like unity more and more. There are very good concept and design ideas on which the whole system/environment is based. And it really matured over the course of the last two iterations. But two or three of the issues people have with Unity could have been solved already if the designers had though about the user as a "human being" and taken the complaints serious. (This is by the way the reason why I hate the "I do not like Unity" party out there. Say what you do not like; give arguments and explanations. It does not help anybody to simply say "I do not like it".)

Being human is about making decisions and a user sometimes wants to be able to make a decision. So why no at least a little bit more of configurability in Unity? At least some aspects that users are used to be able to modify? And please: reasonable arguments. Ubuntu already has a music store integrated and seemingly it will have a "bookstore" integrated as well. This is certainly not designed for company employees in a large network. This is a feature for normal users at home. But normal users at home are individuals; human individuals. These people want some features that are currently denied by the "won't fix because it is a design decision" mentality.
The moment somebody brought up the idea of including Ubuntu Tweak by default in the Ubuntu installation he already got the answer that this is for power users and thus not needed. Is this really so? Do only power users want to place the launcher at another position (something which cannot even be done with ubuntu tweak at the moment)? Do only power users want hot corner actions to be easily configurable? Do only...

Read more...

Garthhh (gchoyman) wrote :

this lack of transparency is far more serious than a DE that is a work in progress
I understand that the developers don't want to argue about every little detail & prefer to stay on private lists to get work done
communication is better than pronouncements from on high
general outlines of the major projects would be nice

graphius (klughammer) wrote :

I just want to say I think this bug is spreading....

Tal Liron (emblem-parade) wrote :

@SRoesgen

I'm going to take the dev teams (and Mark Shuttleworth) at face value: if they say a bug will not be fixed because it's a "design decision," then I believe them. Why shouldn't I? I do not think they are "hiding" behind it. Hiding from what, exactly? They obviously do have a coherent, evolving vision, and it's great to see the Ubuntu desktop becoming more coherent and integrated with every release. The specific bug in this case is that the community is not involved in this process.

The community is composed of mostly reasonable people. Really, we would totally understand an argument for why a bug cannot be fixed. But, we're not getting an argument! We're getting curt, even rude dismissal.

Not only we reasonable, we are biased fans, predisposed to agree with and support Ubuntu, to defend it against detractors, and to patiently wait for fixes and features to arrive. We've been doing this for years, after all! And its not just for Unity. It goes for all Ubuntu-related projects.

Again and again we hear from fans that they are having difficulty converting people to Ubuntu. This is a very serious, and fixable issue. It's really quite simple: if the dev teams *clearly* told us why they won't fix certain issues, and *clearly* told us where they are heading in the future, we would very likely agree, and we would be able to disseminate these arguments widely. We want to help: please use us!

SRoesgen (s-roesgen) wrote :
Download full text (3.2 KiB)

@Tal Liron

I am sorry, if I was misunderstood by you. To say they are "hiding" behind their design decision was my way to describe that they do not deal with complaints uttered by the community and that they do not see any need to explain their decisions.

With "reasonable" I meant that most of the complaints, arguments, ideas and propositions given by the users in bug 668415 were very reasonable but any answer by those who make the (design) decisions was only that "it is a design decision" without any further (real) explanation. I never said that the community is not composed of reasonable people. Exactly that is my point: the community IS composed of reasonable people but I sometimes get the bad feeling that the dev teams do not take the community (us) for reasonable people. They do not take us for serious.

Concerning the aspect of us being biased fans.... I am afraid you are utterly right. I defended many of the ideas and concepts on which unity is based and always told people that it will certainly get better. Because Ubuntu has a good philosophy behind its concept and because all the years they released very good software composed of very good ideas. But due to the lack of transparency and dues to the lack of attention paid to the normal (community) users I became more and more angry and started to question whether there is any sense in defending design decisions which are never really explained to the community.

The funny thing is what happened, when I started to simply explain to users, who asked for certain aspects of the system and wanted to know if it is still "in development" and if it will be changed, that those things won't be changed due to design decisions. Those people looked at me and asked "why?" They did not think that any of the design decisions was reasonable and took it nearly for granted that this was work which was "still in development". But every time I brought that experience forward as an argument just to "rethink" the design I was rebuffed. Despite the fact that I elaborated on this user testings, on which the design decisions were based, several times, when I said that I have (had) a bigger user base to refer to, when it comes to describe experiences with users. I do not understand why the ubuntu devs do not at least take the experiences I made into account. This does only mean that I want somebody of the devs to listen. A reaction would suffice. A mature reasonable reaction. And if they do not want to change a feature, I only want a thorough explanation "why".

Just to shortly refer back to my beloved bug 668415 ;)
The biggest problem I now have with this bug is that we were recently told that suddenly the dev team is rethinking the positioning of the launcher. As there were problems with multi monitor support etc... Well, my problem: these issues were all discussed by the (community) users who told about those problems in the bug month before the Oneiric release. This is one of the situations when I feel treated like a small child and I suppose many other felt that way, too. We warned about those issues month before and the only answer to these reasonable concerns was: it is a design decision". Without...

Read more...

Download full text (3.4 KiB)

On 28/10/11 09:12, SRoesgen wrote:
> To say they are "hiding"
> behind their design decision was my way to describe that they do not
> deal with complaints uttered by the community and that they do not see
> any need to explain their decisions.

We cannot build an interface that supports every conceivable option that
any given user might want. We simply cannot. Not because we're too
selfish, or too stupid, or too uncaring, or too greedy, but because that
is not a reasonable goal. More importantly, trying to accommodate too
many different variants would result in a far buggier product, with far
less usability.

This is standard practice in professional development and design. It
means that there will always be some folk who think a given product is
suboptimal. If we spend too much energy on that, we reduce the energy we
have to spend on building things which will be appreciated by others.

I fully accept that Unity may not be for you. Then don't use it. On
Ubuntu you can choose Unity, KDE, GNOME, XFCE, and many others. You can
modify them to suit you.

If there is selfishness here, it's selfishness on the part of people who
DEMAND attention and offer no constructive solution. Nobody has a right
to expect someone else to devote their time to a mission in which they
have no interest. The Ubuntu community functions because we all have a
shared interest: to bring free software to the widest human audience. We
devote long hours, much more than any normal job, we devote after-hours
and volunteer time, to achieve this mission. And we have to take tough
choices, between what's going to grow the pool of users generally, and
what's going to please a smaller crowd.

Now, if I spent all day defending, explaining, and responding to every
request, we'd get nothing done. My time, and that of the people who
actually build Ubuntu all day and all night long, is focused on the next
problem, not the last one. By demanding continuous engagement on a
matter which is decided, a person is effectively putting their own
interests in front of the projects. Step back and think for a minute
about the opportunity in front of us - to bring free software to a much,
much wider audience. Is the thing you're demanding so important that it
should come before that? Have you figured out what you can offer in
exchange? Are you willing to do the work yourself?

> With "reasonable" I meant that most of the complaints, arguments, ideas
> and propositions given by the users in bug 668415 were very reasonable
> but any answer by those who make the (design) decisions was only that
> "it is a design decision" without any further (real) explanation. I
> never said that the community is not composed of reasonable people.
> Exactly that is my point: the community IS composed of reasonable people
> but I sometimes get the bad feeling that the dev teams do not take the
> community (us) for reasonable people. They do not take us for serious.

Within one day of the bug being reported, a senior Ubuntu developer and
I both commented. It's simply wrong to say that bug reports, complaints
and concerns are being ignored. Disagreement is not the same is ignoring
you; we just disagree.

> Just to shor...

Read more...

SRoesgen (s-roesgen) wrote :
Download full text (5.8 KiB)

While messages (or texts in general) written in English, are sometimes prone to be misunderstood if it comes to understanding the terms and styles of address, due to the illusive nature of the pronoun "you" I would like to point one simple aspect of your message out to all the reader and perhaps yourself.

If "you" is used by you, Mr Shuttleworth, to address me, as a person, I have to question why, exactly I am the evil doer now, especially if I have done nothing wrong but to speak out what was already written many times before? I only emphasized that it could be rather helpful for any person participating in a community to understand the processes used in decision making. And by referring to this wish to understand the process, I only participated in a discussion started by this bug report (which was not filed by me, so here again, who is meant with "you"?). So again: "on what data was that design decision based?" And who actually participated in the process of making the decision? A simple question which can be answered in many forms, but none of the replies and answers yet given to this question, has ever been addressing the question itself. I only hear you utter your own complaints about those complaints that are brought forward by other. If the community is, in your opinion, a factory of bug solvers and bug filers, then please say so. But if the community is, or should be, a community of those who are enthusiastic about Ubuntu, have visions about Ubuntu, want to spread Ubuntu ... then you should take the opinion of these people into account and attach more value to their words.

I spent many hours to set up Ubuntu PCs for my friends and for my family. I talked about Ubuntu and promoted Ubuntu at work and wherever else I could. There are many entries, filed by my, in many places on the internet, where I tried to promote Ubuntu. So in your opinion this is worth nothing, because I -- and many other -- are selfish and demand without providing solutions. I am sorry. I studied Latin, Greek, English and French with a focus on historical comparative linguistics. I am a linguist, or more precisely a philologist. So I am not a programmer. Am I to be rendered mute by this fact, because I can only speak my opinion if I contribute to software by programming it? Is this your vision of Ubuntu? A "quid pro quo" or "do ut des" relation? Indeed, Ubuntu, the name of an operating system for every human being.

I defended Ubuntu and especially Unity. I said it will mature and many of its feature, like the dash, like indicators, are very promising. I hoped that there would be reasoning if 154 users voted for "affect me", so that at least somehow the decisions that was made would be reconsidered. So that at least somebody would tell the people "we will think about it, but we cannot promise that we will change anything". Instead it was a "it stays that way and Basta!" decision. This is what this bug is about. And this is what you did not understand a bit. The word is "transparency". I do not demand a change in the system, I do demand an explanation why the change will not be done. And do not tell me that making it possible to change the position of the l...

Read more...

Mark,

Em 28-10-2011 08:14, Mark Shuttleworth escreveu:
> We cannot build an interface that supports every conceivable option that
> any given user might want. We simply cannot.
It's truth. We cannot do this. But do you agree that with a "locked" UI
it's much hardier to reach more people? I think customization is the
point. The software needs to adjust itself to the user, not the inverse.

A very factual point: minimize windows when clicking in the launcher
icon. That is bug #733349 (which has 133 affected people and 7 duplicates).

You (design team) simply said "the design and user-interaction
discussion does not agree with this". Two questions:

1. Why? This was not explained. This is the great issue discussed here:
we (community) don't know what are the design concepts and ideas behind
unity. And in situations like this, we simply get a "won't fix" without
aparent reason.

2. Are the features and options for you, design team, or for users? Do
you agree that a bug with 133 people who claim to be affected, with 196
comments and 7 duplicates is a significant thing? But again: all of us
simply got a "no", and not a why.

I understand that you (unity developers) have a lot of bugs to solve and
things to polish that are more important than adding a new feature, but
keep reading...
> Now, if I spent all day defending, explaining, and responding to every
> request, we'd get nothing done.'
Agreed. But I really think we deserve some explanations, and not bugs
closed as "won't fix" and that's it. All you need to do is to write one
or two sentences that explain why it was closed.
> Step back and think for a minute
> about the opportunity in front of us - to bring free software to a much,
> much wider audience.
Ok. I'll do so keeping the bug I cited above in mind (bug #733349).
> Is the thing you're demanding so important that it
> should come before that?
Obviously it's not. But it's a *way* to bring free software to a much
wider audience (customization for those that want it, migration from
other OS made simpler).
> Have you figured out what you can offer in
> exchange? Are you willing to do the work yourself?
>
Yes, I'm ready to do so. At truth, I've already done. It's an option is
cssm, disabled by default, that allows users to enable this
funcionality. But I get a big "no", again, without reason. See
https://code.launchpad.net/~marcobiscaro2112/unity/fixes-733349/+merge/61473

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity-2d (Ubuntu):
status: New → Confirmed
Tal Liron (emblem-parade) wrote :
Download full text (5.1 KiB)

@Mark

Thanks for responding to this, even after pointing out that it could be a waste of time to respond to every request.

Unfortunately, your response proves that this bug is endemic. As you say, you and senior Ubuntu developers to respond to bugs. The problem is not that you don't respond, but in how you respond.

I'm going to be constructive here and offer solutions.

The first problem is tone: you're being impatient with and unsympathetic to community woes.

One example is that your requirements for "constructive solutions" from the community seem exceedingly high. Isn't opening a bug constructive? It takes time and effort to do so. This is free QA work done for Canonical. The language some people use is strong -- but remember that usually people open a bug as a last resort, after trying numerous things and searching the Internet for solution. In fact, this is what you reasonably require of us *before* opening a bug? The result is that bugs are often open in a state of frustration, so harsh words are said, and it may appear "selfish." And there are language and cultural differences.

May I suggest that you develop a tougher skin? That you be more forgiving and sympathetic to strong words? Even if you don't appreciate the sentiment, I suggest you take the high road: answer the disgruntled user by graciously thanking them for the time and effort they took to report the bug, and explain to them why it can't be solved right now, what solutions are being planned, and what alternative solutions are available right now. You can have a stock answer that you copy and paste for this, and modify a bit for the circumstance. (More on this below.)

The second example of very high standards for constructive solutions is rejected patches. A patch is a "constructive solution" if there very was one. Woe to the free software project that curtly rejects patches! You will develop such ill will that nobody will want to even try to fix bugs for you.

The second problem is detail: you're not being detailed enough in your answers when you do answer. (And that's a mild way of putting it...)

I understand the lack of time, as I'm very busy, too. Then how about you write a FAQ and direct users to it? My fear, though, is that your FAQ would reflect your impatience:

Q: Why can't I customize aspect X of Unity?
A: You don't like it? Use GNOME Shell or KDE or KFCE or LXDE! Goodbye!

Mark, this might be a reasonable solution for a user trying to get work done, but an unreasonable response to the community wanting to embrace Unity and improve it. If there's one point I want to get across here, it's that distinction.

The community is not just a few users with a few problems. The community is your human scaffolding. Striking a deal with Dell might seem more important for Ubuntu's success in the short run, but without community Ubuntu's soul will be lost, and I believe it may fail in the long term. Ubuntu is for humans, and so it is named. Unity unites, and so it is named. These inspirations are rare in software, make me proud to promote Ubuntu, and will be not be so easy to recover if they are lost. It took 7 years to build this community: it would be a pity to have to s...

Read more...

Paul Sladen (sladen) wrote :

Tal: why presume that it's a Canonical gain? It's *Ubuntu* and its users that are gaining, regardless of whether the person working on it is employed by Canonical, by another organisation, or their own free time.

There's no "Them" and "Us" in Ubuntu; there's only "We" (which includes you, and I equally).

SRoesgen (s-roesgen) wrote :

@Paul Sladen
Would you mind explaining to me where, in any way, Mark Shuttleworth's answer made it clear that there is a "we" as in Canonical plus Ubuntu community? Tal wrote about the patches that were rejected and about the total lack of transparency and communication. And he did this more well spoken and eloquent than I could ever put it; especially because I am feeling more enraged than you might imagine. At the moment Canonical blocks any patch (like that of Marco Biscaro) which does not fit into their design concept. Where is the community in this? I do not see any "we". Make me see the "we". I beg you.

SRoesgen (s-roesgen) wrote :

Btw.

This was originally posted on bug 668415
I am reposting the link here because I think it is worth the read (despite the first lines of the article being somewhat awkward)
http://www.zdnet.com/blog/perlow/why-ubuntu-1110-fills-me-with-rage/19103

It is not about Unity bashing, it is about pointing out some of the very strange design decisions. And to repeat myself again: I like Unity in general. There are only a few, small details that I do not like. And I suppose that many other people see it the same.

Tal Liron (emblem-parade) wrote :

Thanks to everyone for adding their opinion!

To keep this bug report effective, I hope we can all:

1) Stick to suggestions rather than opinions. Also, let's keep suggestions as short as possible. I know we all have a lot of emotion to vent, but it's more effective to be succinct. With a caveat: I believe that the lack of attention to the community's *feelings* is part of the problem. Sure, we might be unreasonable, loudmouthed and "selfish" sometimes -- but that's how people are sometimes when their feelings are hurt. It doesn't mean those feelings aren't valid.

2) Stay focused on the issue: community engagement. This is not about Unity missing one or two features that we want. Isn't that true, after all, for *all* software, whether it's free or proprietary? The issue is the lack of transparency about the decision-making process, and the widespread feeling of exclusion in the community. How can we fix that? (Without reiterating the complaint about it?)

Mark Shuttleworth (sabdfl) wrote :
Download full text (7.9 KiB)

On 28/10/11 13:42, SRoesgen wrote:
> If "you" is used by you, Mr Shuttleworth, to address me, as a person, I
> have to question why, exactly I am the evil doer now, especially if I
> have done nothing wrong but to speak out what was already written many
> times before?

There is no evil-doing, but there is constructive engagement and
unconstructive engagement.

When two people disagree, it's not constructive to keep bringing that
up, time and again. There are plenty of other things for us to debate
and discuss. This matter is settled, we will enjoy our collaboration
more if we accept that and move on.

> I only emphasized that it could be rather helpful for any
> person participating in a community to understand the processes used in
> decision making.

The decision making process is straightforward, and not unclear in any way.

Developers make decisions. Designers make decisions. In Unity, when
there is a disagreement, we defer to the designers. They are not always
right, and they might change their mind, but they have the
responsibility to make these decisions. And I have a role in that, a
final one, in order to ensure decisions can be taken rather than going
around in circles endlessly.

That much is crystal clear.

And in this case, you have heard from other designers, and from me.

> And by referring to this wish to understand the
> process, I only participated in a discussion started by this bug report
> (which was not filed by me, so here again, who is meant with "you"?). So
> again: "on what data was that design decision based?" And who actually
> participated in the process of making the decision? A simple question
> which can be answered in many forms, but none of the replies and answers
> yet given to this question, has ever been addressing the question
> itself.

There is nothing mysterious about this. We have developers (community
and professional), we have designers (the same), and there is me. You
have heard from all of them, and I have settled the matter.

Transparency is not a guarantee that you will like the result. Try and
get answers and responses like this from other platforms, and I think
you'll be more appreciative of the difference between this project and
those.

> I only hear you utter your own complaints about those complaints
> that are brought forward by other.

Complaining rarely solves problems. The bug has been filed. It has been
commented on. A decision has been taken.

> If the community is, in your opinion,
> a factory of bug solvers and bug filers, then please say so.

It is not, and you know that, please do not put words in my mouth.

> But if the
> community is, or should be, a community of those who are enthusiastic
> about Ubuntu, have visions about Ubuntu, want to spread Ubuntu ... then
> you should take the opinion of these people into account and attach more
> value to their words.

There are cases where it is not possible to please everyone. In this
case, it is not possible to please you. I'm at peace with that. Not
because I disrespect or undervalue your participation and opinion, but
because ultimately I have a job to do, I don't pretend to be perfect,
and I do it to the best of my ability; a...

Read more...

Mark Shuttleworth (sabdfl) wrote :
Download full text (3.9 KiB)

On 28/10/11 14:59, Marco Biscaro wrote:
> But do you agree that with a "locked" UI it's much hardier to reach
> more people?

Yes. But Unity is not locked. There are several options. It's a matter
of debate which options we should have. I'm glad we agree that we should
not have every possible option, and I trust you can appreciate we are
unlikely to agree on precisely which options we will have. Therefor, I
trust you recognise that we will have some specific differences of
opinion, and that this is normal.

If you recognise that, you will likely also recognise that we have a
framework of responsibility in Ubuntu which means we know who is going
to carry the day when there is a disagreement. In this case, it is me.

> I think customization is the point. The software needs to adjust
> itself to the user, not the inverse. A very factual point: minimize
> windows when clicking in the launcher icon. That is bug #733349 (which
> has 133 affected people and 7 duplicates). You (design team) simply
> said "the design and user-interaction discussion does not agree with
> this". Two questions: 1. Why? This was not explained. This is the
> great issue discussed here: we (community) don't know what are the
> design concepts and ideas behind unity.

In this case, the principle would be that the consequence of an action
should generally be consistent, unless the action appears to set itself
up for reversal. So, clicking twice on an icon should generally do one
thing twice, not one thing then the opposite. In this case, the one
thing is "show the application".

If the icon changed when you clicked it, for example it got an "on"
switch, then it might invite you to turn it "off" by clicking again. But
it doesn't. So clicking the icon should always show the app. Which it does.

> And in situations like this, we simply get a "won't fix" without
> aparent reason. 2. Are the features and options for you, design team,
> or for users?

For users, and we test that with blind testing, not by counting me-too's
and shouts.

> Do you agree that a bug with 133 people who claim to be affected, with
> 196 comments and 7 duplicates is a significant thing? But again: all
> of us simply got a "no", and not a why. I understand that you (unity
> developers) have a lot of bugs to solve and things to polish that are
> more important than adding a new feature, but keep reading...
>> Now, if I spent all day defending, explaining, and responding to every
>> request, we'd get nothing done.'
> Agreed. But I really think we deserve some explanations, and not bugs
> closed as "won't fix" and that's it. All you need to do is to write one
> or two sentences that explain why it was closed.

You'll find several comments from me on these bugs. If I have to respond
with one or two sentences to every commenter, I'll not have time for
useful work ;-)

>> Step back and think for a minute
>> about the opportunity in front of us - to bring free software to a much,
>> much wider audience.
> Ok. I'll do so keeping the bug I cited above in mind (bug #733349).
>> Is the thing you're demanding so important that it
>> should come before that?
> Obviously it's not. But it's a *way* to bring free softwar...

Read more...

Em 28-10-2011 23:45, Mark Shuttleworth escreveu:
> Yes. But Unity is not locked. There are several options.
There are several options, but almost all of them are related to
appearence. And it's not appearence, but the behaviour, that affects
productivity (again, I can use the example of migration from other
operating system, or even upgrading Ubuntu from GNOME classic to Unity).
> It's a matter
> of debate which options we should have. I'm glad we agree that we should
> not have every possible option, and I trust you can appreciate we are
> unlikely to agree on precisely which options we will have. Therefor, I
> trust you recognise that we will have some specific differences of
> opinion, and that this is normal.
Agreed.
> If you recognise that, you will likely also recognise that we have a
> framework of responsibility in Ubuntu which means we know who is going
> to carry the day when there is a disagreement. In this case, it is me.
Sure.
> In this case, the principle would be that the consequence of an action
> should generally be consistent, unless the action appears to set itself
> up for reversal. So, clicking twice on an icon should generally do one
> thing twice, not one thing then the opposite. In this case, the one
> thing is "show the application".
>
> If the icon changed when you clicked it, for example it got an "on"
> switch, then it might invite you to turn it "off" by clicking again. But
> it doesn't. So clicking the icon should always show the app. Which it does.
Thank you for explaining this (is exactly this what we want: to know the
whys of decisions). This is a very good reason to not use the minimize
behaviour as default. But it isn't a reason to not offer this as an
option, right?
> For users, and we test that with blind testing, not by counting me-too's
> and shouts.
Sorry Mark, but this looks like wrong. If you consider the experience of
10 people in user testing, hundreds of me-too's and requests should mean
something.
> You'll find several comments from me on these bugs. If I have to respond
> with one or two sentences to every commenter, I'll not have time for
> useful work ;-)
Sure. I'm not suggesting you to respond every comment. Instead, you need
to clarify why this will not be implemented (the design principles
behind this), considering the community request.

I really feel that we are often ignored about feature requests that
would increase our productivity using Ubuntu... :( But I understand what
you said about this.
> Customization comes at a cost for those who don't want it. Every option
> adds a cost. Adding all the options everyone wants results in software
> nobody will like. The balance is not going to be liked by everyone too.
> Accept that.
I can't! :) I can't understand the costs of adding an option in these
cases. Could you (or someone else) tell me how the users that don't use
this feature would be affected?
> This is not an option I want to carry in the codebase.
Again, it's a no without a why. :) "I don't want this" doesn't look
reasonable to me. But as you said, you carry the day in these cases.

Thank you.

Aaron Mayse (eyeless1) wrote :

> > Customization comes at a cost for those who don't want it. Every option
> > adds a cost. Adding all the options everyone wants results in software
> > nobody will like. The balance is not going to be liked by everyone too.
> > Accept that.
> I can't! :) I can't understand the costs of adding an option in these
> cases. Could you (or someone else) tell me how the users that don't use
> this feature would be affected?
> > This is not an option I want to carry in the codebase.
> Again, it's a no without a why. :) "I don't want this" doesn't look
> reasonable to me. But as you said, you carry the day in these cases.

Actually it's not a "I don't want this," it's a "We don't have the time and resources to deal with problems that happen with this option when we make updates later on." The problem with making an interface that is infinitely customizable is that any time you make an update you have to check *every* one of those combinations to make sure something doesn't break or become unusable for the group of people who choose that particular combination of options. This takes valuable resources away from dealing with other problems which may be just as high priority and slows down the process of innovation, unless you drop support for these options in which case you have a minefield of options which randomly make the interface useless.

At least that's what I think Shuttleworth is saying here. And it makes sense, to a degree, that limiting options makes supporting the few options you do have much easier and more efficient. I'm not sure it necessarily applies in all the cases that we've seen the heavy-handed, "We won't fix this, so buzz off," response we've seen on many bug reports, but it does explain one of those tricky bits of Unity design philosophy that hasn't come through to most users.

I think many of us really want to see a document that outlines the reasoning behind these "design decisions" that are being made without community input. Obviously I think a lot more of us would like to have some input on changing those philosophies and goals, but many would at least settle for knowing what they are. I'm a little surprised such a document is not available already; surely the design team itself has agreed to the basic principles under which they are designing Unity? Or does everything have to go through Shuttleworth's Mother-May-I before being implemented?

Tal Liron (emblem-parade) wrote :

@Aaron

I think Mark was clear: you can have access to all these documents and participate in the discussions about priorities, implementation, etc., if you formally join the Unity team. In fact, he welcomed us to do so, and berated those of us who complain from the "outside" for making demands but not willing to do the work required in the long haul as the consequence of the features we demand.

I think that's reasonable for the purpose of getting work done, but -- again -- I think it's detrimental to the community process. It devalues the work the community does on the "outside": alpha testing, beta testing, evaluating, posting, helping each other out, blogging, advocating, reaching out to non-Ubuntu users, and sometimes opening bugs on Launchpad that are curtly closed.

Mark seems to think that such work is all "easy" for us to do, because we don't have to face the consequences of the "real" programming-design-testing cycle, but in fact we're in it for the long haul and do face the consequences of decisions. Including such a decision as not supporting multiple-monitor setups or right-to-left languages in Unity (for three releases of Ubuntu thus far).

As a side-note, I think you've misrepresented the "inside" process a bit: Mark is not a benevolent dictator in any sense. In fact, his leadership is all about empowering and totally trusting the people who are responsible for their domains to make decisions. Mark *never* overrides these decisions, even if he disagrees with them. That means that whoever is in charge of designing the Dash gets total control over all design decisions, even though the team (and the community) as a whole will face the consequences later on. Mark's role is merely as an arbiter: to step in and make a decision one way or another when teams *cannot* agree. Compare this to, say, Linus Torvalds' role in Linux, and it's hard not to be inspired by the Ubuntu way of governing.

I don't think that process is broken. Specifically what is broken is the process involving the "outside" community, on Launchpad and beyond. Mark has been very focused on perfecting the internal team process -- and has done an astoundingly productive job with it -- but the remaining problem is how to properly include us "outsiders."

Unfortunately, I don't see this problem fixed given Mark's current attitude. He just doesn't think what we do is very valuable for Ubuntu at large. Apparently we're a tiny minority of nerdy curmudgeons who hate change and love to whine. Not only does he devalue our work, but he seems to find it distracting and a waste of his and his teams' time. It seems he would be happy if we abandoned Ubuntu and went off to bother a different free operating system. Then the small team of Ubuntu programmers could do their work in peace and quiet.

Except that some of us think that such "quiet" would end up hurting our favorite operating system.

Yeah, it's hard work to include the community. It takes a lot of time. Welcome to free software! Mark, you set the ball rolling, but perhaps the project you created doesn't have what it takes to face the consequences of managing free software in the long haul. Let's fix this.

Mark (et al),
I'd like to make a suggestion that I think would mitigate a certain fraction of the complaints, and requires no new code, which is simply an info page that's linked prominently on the Ubuntu website (perhaps on the downloads page).
Let me explain: I've been reading the 'Unity MEGA forum' in the Ubuntu forums off and on (it's sufficiently torturous that as a means of procrastinating from my job as a mathematics researcher, it's a fairly brief distraction). A lot of the complaints that see are along the following lines: "I can't do X in Unity! I'm so angry, GARRHHHH!! I'm telling everyone I know to switch to Mint!", where X is something that in fact *can* be done, had the complainer bothered to look into it.
So I'm suggesting something like an FAQ, but geared towards end-users expecting certain behaviour from their desktop. Perhaps there could be a paragraph along the following lines: "We've designed the Unity desktop for <insert reasons/properties here>, and think you'll really enjoy it. However, we recognise that one interface can't possibly please everyone, and that's why Ubuntu offers you choices. Supported desktop environments include Gnome shell, Gnome fallback, KDE, XFCE, LDXE..."
This could perhaps be followed by a little chart outlining the pros/cons of each desktop, and simple instructions on how to enable them (or suggesting that the user download *ubuntu instead).
For fine-tuning in Unity, a simple user's FAQ might help. This could include a tutorial on basic keyboard and mouse operations (such as the various Super shortcuts, configuring the launcher, etc.) I know these are out there for those who look, but if it was prominent, it would be easier to address complaints. (For example even today you'll find people complaining about how they hate the launcher because they can't reorder the icons, add new icons, resize icons, etc, even though all this is possible.)
Another example: Q: I really don't like this global menu, can I get rid of it? A: We suggest keeping it for the following reasons .... But if it really bothers you, simply remove the indicator-appmenu package.
(It could just be whining, but there really are people claiming that they're abandoning Ubuntu over the global menu. Thirty seconds on Google resolves the problem but hey, maybe switching distros is still less work!?)

Anyway, I think a bit of basic info like that, made as prominent as seems reasonable, might help.

Mark Shuttleworth (sabdfl) wrote :

On 29/10/11 15:40, Marco Biscaro wrote:
> I can't! :) I can't understand the costs of adding an option in these
> cases. Could you (or someone else) tell me how the users that don't
> use this feature would be affected?

Say the option is expressed in a dialog box. That dialog box is now
longer and more complicated than it needs to be. When a dialog box is
more complicated, it feels harder to use, for everyone.

So, putting that option in a visible UI makes the system feel harder for
everyone. You know the feeling - you just want to get something simple
done and you have to look through lots of complicated dialog boxes. Now,
if you're having fun exploring all the options in the system, that's not
work, that's fun. But for most people, they are happiest if the system
just works; having to go find an option to change its behaviour is bad
for them, and having lots of options is worse.

That's the cost to end-users.

So, why not make it an invisible option, say a dconf key that could be
turned on with a command line tool or power user config tool?

The cost there is in the codebase and in the design.

Say the option allows for both vertical and horizontal layout. Then we
need to think about all the behaviours and mechanics both horizontally
and vertically. And if it's horizontal, we have to think about
right-to-left languages as well, like Arabic. So the number of codepaths
just got much bigger, the number of quality assurance tests just got
bigger. We only have time for a limited amount of testing in any given
cycle, so that option means we won't get something else.

All these costs add up.

Mark

Mark Shuttleworth (sabdfl) wrote :
Download full text (4.3 KiB)

On 29/10/11 20:08, Aaron Mayse wrote:
> Actually it's not a "I don't want this," it's a "We don't have the
> time and resources to deal with problems that happen with this option
> when we make updates later on." The problem with making an interface
> that is infinitely customizable is that any time you make an update
> you have to check *every* one of those combinations to make sure
> something doesn't break or become unusable for the group of people who
> choose that particular combination of options. This takes valuable
> resources away from dealing with other problems which may be just as
> high priority and slows down the process of innovation, unless you
> drop support for these options in which case you have a minefield of
> options which randomly make the interface useless. At least that's
> what I think Shuttleworth is saying here. And it makes sense, to a
> degree, that limiting options makes supporting the few options you do
> have much easier and more efficient.

Yes, that's accurate.

> I'm not sure it necessarily applies in all the cases that we've seen
> the heavy-handed, "We won't fix this, so buzz off," response we've
> seen on many bug reports, but it does explain one of those tricky bits
> of Unity design philosophy that hasn't come through to most users.

It's not just maintenance costs. There are also design implications to
flexibility, *especially* layout flexibility. The system UI has many
components, all of which need screen real estate, and which can collide
with one another. Knowing where something is allows you to design other
pieces that fit with it. If it could move around, you have to think of
all the ways the OTHER pieces will have to adapt too.

There's also the idea of consistency. Knowing that "launching and
switching are activated on the left" lets us add many subtle transitions
and cues for users to entrench that idea. Which hopefully means that
they instinctively look for things in the right place. We can only
realistically do this if we limit the flexibility of the system. That's
why iOS has a springboard in only one place, same for Android. These are
modern interfaces, based on serious design work. Our goal is to compete
with those, so we're not that interested in matching functionality that
was in Win95, especially if we think that functionality will get dropped
in Windows 8 or 9 or 10.

If we want to put free software in the future, we have to design for the
future. Some will prefer the past. Nothing obliges them to upgrade.

> I think many of us really want to see a document that outlines the
> reasoning behind these "design decisions" that are being made without
> community input. Obviously I think a lot more of us would like to have
> some input on changing those philosophies and goals, but many would at
> least settle for knowing what they are.

There is as much community input in the design of Unity as there is in
Gnome Shell or KDE's Plasma. Every thread on the Ayatana list, or bug
report, is information. This discussion is information. Given the amount
of time I and others spend working with community members, it's
insulting to be accused of a lack of community engagement.

The philosophies and ...

Read more...

Mark Shuttleworth (sabdfl) wrote :
Download full text (5.7 KiB)

On 29/10/11 20:49, Tal Liron wrote:
> Mark seems to think that such work is all "easy" for us to do, because
> we don't have to face the consequences of the "real" programming-design-
> testing cycle, but in fact we're in it for the long haul and do face the
> consequences of decisions. Including such a decision as not supporting
> multiple-monitor setups or right-to-left languages in Unity (for three
> releases of Ubuntu thus far).

Whoa. Those are not design decisions, those are bugs or unimplemented
features. Please don't confuse the two. And please recognise that having
to write the code to support a movable launcher would delay those
features further.

> As a side-note, I think you've misrepresented the "inside" process a
> bit: Mark is not a benevolent dictator in any sense. In fact, his
> leadership is all about empowering and totally trusting the people who
> are responsible for their domains to make decisions. Mark *never*
> overrides these decisions, even if he disagrees with them. That means
> that whoever is in charge of designing the Dash gets total control over
> all design decisions, even though the team (and the community) as a
> whole will face the consequences later on. Mark's role is merely as an
> arbiter: to step in and make a decision one way or another when teams
> *cannot* agree. Compare this to, say, Linus Torvalds' role in Linux, and
> it's hard not to be inspired by the Ubuntu way of governing.

Much as its to the detriment of being praised I'm afraid it's not quite
like that. I do empower folk to do design work, both community and in
Canonical; but I do occasionally override them too, in order to maintain
a clarity and coherence of the whole, at least in my eyes.

> I don't think that process is broken. Specifically what is broken is the
> process involving the "outside" community, on Launchpad and beyond. Mark
> has been very focused on perfecting the internal team process -- and has
> done an astoundingly productive job with it -- but the remaining problem
> is how to properly include us "outsiders."
>
> Unfortunately, I don't see this problem fixed given Mark's current
> attitude. He just doesn't think what we do is very valuable for Ubuntu
> at large. Apparently we're a tiny minority of nerdy curmudgeons who hate
> change and love to whine. Not only does he devalue our work, but he
> seems to find it distracting and a waste of his and his teams' time. It
> seems he would be happy if we abandoned Ubuntu and went off to bother a
> different free operating system. Then the small team of Ubuntu
> programmers could do their work in peace and quiet.

Hold on a sec. If you look across the thousands of bug reports on which
I and others comment, you'll find lots of supportive and collaborative
work. Many of the bugs that are filed are genuinely interesting. Last
night, for example, I supported an idea in a bug report that rearranging
icons on the launcher should automatically lock them onto the launcher
(in the case of apps that are running, but are not favourites). I have
no idea who filed that bug, but I bet it was not a Canonical person.

My frustration is not with having to engage with a community. If I
didn't want...

Read more...

Tal Liron (emblem-parade) wrote :
Download full text (7.7 KiB)

On 10/30/2011 08:15 AM, Mark Shuttleworth wrote:
>> Yeah, it's hard work to include the community. It takes a lot of time.
>> Welcome to free software! Mark, you set the ball rolling, but perhaps
>> the project you created doesn't have what it takes to face the
>> consequences of managing free software in the long haul. Let's fix this.

> Do you seriously suggest I don't know anything about free software, or
> working to include the community?

No, but I'm suggesting that this is a point where your patience has run too thin and you refuse go the extra mile.

I can't believe it makes you feel good about Ubuntu to witness these "riots," as you call them. You have to admit that something isn't working quite right: on the one hand, the Ayatana mailing list is open for everyone to read, but on the other hand, there seems to be a lot of miscommunication and misunderstanding of what goes on "inside." Perhaps you thrive on antagonism, or perhaps you have convinced yourself that loud detractors are inevitable and harmless to any large projects. But I know that if this were my project, and I were reading some of the comments, I would feel a sense that something is broken.

I believe this situation is fixable, or I would not have opened this as a bug.

I read your blog and have been following Ubuntu for years. You have injected your persona into the project, so, like or not, you are going to get some personal attacks. I would imagine you're used to that by now. But, it's that particular role you fulfil that makes me wonder if you're the right man to be managing or even opining about the community process. In your engagement of the community, you are too easily tempted to confrontation. Everything is going to go downhill once you start calling our requests "selfish."

I see the conflict of goals as analogous to that between QA and the programmers: there's a reason you don't want the programmer doing the usability testing. The programmers will, unknowingly, test only what they know is working. Their imagination is constrained by the challenges of their work. Ubuntu is in some ways your personal project: you are predisposed to get overly defensive and even testy when its direction is criticized.

There's been a discussion in this bug about whether Unity should gain a feature or two. At first I thought this discussion was distracting (like you, I see that a decision has been made and would like to just move on), but it's actually instructive in seeing how you respond to the community: you carefully tell us why we are wrong, that we don't have a clue how developing software really works, and suggest that we leave it up to the adults to do things properly. Unsurprisingly (to me, at least) this condescension only causes more angst.

Let me give you an example of going this "extra mile."

My pet bug is the movable Launcher bug. I love Unity! Love it on my netbook and laptops, and on many desktops I use in various places. I love how it combines my favorite desktop UI elements from recent years: the Windows-7-type icon-based launcher, the Quicksilver-like keyboard-based launcher/finder, and finally cleaning up that miserable mess that was GNOME 2's panel. I parti...

Read more...

Mark Shuttleworth (sabdfl) wrote :
Download full text (5.5 KiB)

On 30/10/11 19:11, Tal Liron wrote:
> No, but I'm suggesting that this is a point where your patience has
> run too thin and you refuse go the extra mile. I can't believe it
> makes you feel good about Ubuntu to witness these "riots," as you call
> them.

It doesn't feel good, no. What is missing is a mutual willingness to
agree to disagree and continue to work together.

Think about it. The decisions involved were taken, and it makes sense
for us to move on and fix other issues. We have done this on many other
issues on many other occasions, and sometimes I don't like the result
but we move on, and sometimes we expect others to do the same.

What we're told in this case, however, is that "if you don't change this
we're leaving". OK fine. If only. Instead of leaving, what we get is
continued haranguing.

My point is that what's broken is not the engagement; we're engaged.
What's broken is the sense of entitlement on one side of this
conversation - "do what I want, or I leave, and you're an idiot by the
way". As I said previously, in a collaborating community, that sort of
language is toxic. So I ask folk to stop doing it.

> You have to admit that something isn't working quite right: on the one
> hand, the Ayatana mailing list is open for everyone to read, but on
> the other hand, there seems to be a lot of miscommunication and
> misunderstanding of what goes on "inside."

There is no mystery about what goes on inside. Bugs get filed and fixed,
ideas get discussed publicly and privately, decisions get made, work
gets done. Pretending there is some active conspiracy or hostility on
"the inside" creates a sense of hostility towards those who work full
time trying to solve the very problems you're interested in seeing
solutions to - in general, not in this specific case. I assume you want
to see a solution to the shortage of free software on the average
machine? The folks "inside" are completely devoted to that.

We are a project that has two different kinds of competence: volunteer
(undirected) and full time (directed). Most of the full time
contributors also participate in an undirected, volunteer way.

Now, those two kinds of competence are BOTH needed for our shared
success. But they are different. And the people who most need to
acknowledge the difference are the volunteers. Because you can volunteer
on many projects, but there is only one where you can help ship exactly
the same bits as the professionals - elsewhere, you either have a
project with very little consequence/adoption, or you get to work on the
playground, while the professionals take your work and ship it as and
when they like it in a separate product.

So the collaboration of community and company is what makes Ubuntu
special. That is QUITE different to a community project in which
Canonical employees happen to volunteer a bunch of time.

And harsh talk of "inside vs outside" undermines the value of the
contribution that full time team makes. We can solve many problems in
Ubuntu that have plagued pure-volunteer projects for years.

What frustrates me here is the sense of taking that for granted. Please
don't. If we don't work together, we will fail, and the world will lose
Ub...

Read more...

Em 30-10-2011 10:44, Mark Shuttleworth escreveu:
> On 29/10/11 15:40, Marco Biscaro wrote:
>> I can't! :) I can't understand the costs of adding an option in these
>> cases. Could you (or someone else) tell me how the users that don't
>> use this feature would be affected?
> Say the option is expressed in a dialog box. That dialog box is now
> longer and more complicated than it needs to be. When a dialog box is
> more complicated, it feels harder to use, for everyone.
>
> So, putting that option in a visible UI makes the system feel harder for
> everyone. You know the feeling - you just want to get something simple
> done and you have to look through lots of complicated dialog boxes. Now,
> if you're having fun exploring all the options in the system, that's not
> work, that's fun. But for most people, they are happiest if the system
> just works; having to go find an option to change its behaviour is bad
> for them, and having lots of options is worse.
>
> That's the cost to end-users.
>
> So, why not make it an invisible option, say a dconf key that could be
> turned on with a command line tool or power user config tool?
>
> The cost there is in the codebase and in the design.
>
> Say the option allows for both vertical and horizontal layout. Then we
> need to think about all the behaviours and mechanics both horizontally
> and vertically. And if it's horizontal, we have to think about
> right-to-left languages as well, like Arabic. So the number of codepaths
> just got much bigger, the number of quality assurance tests just got
> bigger. We only have time for a limited amount of testing in any given
> cycle, so that option means we won't get something else.
>
> All these costs add up.
>
> Mark
>
Thanks for these clarifications. It would be much more simple if they
were posted in the original bug report, without the need of such
discussion. I'll quote this explanation in the original bug report.

Em 30-10-2011 11:15, Mark Shuttleworth escreveu:
> More importantly, if any given decision that has both proponents and
> detractors can turn into an endless will-won't-should-shouldn't
> mailfest, and if the only resolution of that dynamic is to add an option
> to keep both sides happy, we WILL FAIL in the same way that GNOME and
> KDE have failed to make a difference in the consumer world. And that's
> what I'm working for, I'm not working for those who want to have very
> possibility in their UI; as far as I'm concerned, most of them already
> have vastly more options and vastly more choice than the average human
> being. I'm working for everyone else, and I want to work with other
> people who care about that mission.
Is this mission documented anywhere? I didn't know it until now...

Tal Liron (emblem-parade) wrote :
Download full text (3.6 KiB)

On 10/30/2011 04:58 PM, Mark Shuttleworth wrote:
> It doesn't feel good, no. What is missing is a mutual willingness to
> agree to disagree and continue to work together.

So, what are we left with?

You've acknowledged that there is a problem with community engagement, however it doesn't seem overly serious to you. You see it mostly as a distraction, a time waste.

As for the causes of the problem, you've put them squarely on a few community members. You do not think the Ubuntu project is mismanaging the community. In fact, you are rightfully proud of the effort that has been done so far to keep the community involved.

Even if the Ubuntu project is not part of the problem, you are still not interested in doing any more work to alleviate it. You've ignored all suggestions offered for FAQs, for increased detail in responses, and for changing the tone of responses.

In summary, this is yet another "won't fix" bug. Community engagement might not be optimal, you acknowledge, but there's nothing the Unity team is going to do about it.

As with other closed bugs, I'll move on and keep trusting in you and the team to deliver the future. It's been terrific so far. And, when a bug is too serious for me to just move on (the multi-monitor issue, for example) I'll research a workaround and post it to Ubuntu Forums, like I always do. I feel a little dirty doing so (my preference is always to open a formal bug) but I'm happy to do what it takes to help other Ubuntu users around the pain points that crop up once in a while.

I wish I could be more involved, but I'm already overly extended in mine and other free software projects, consulting, and university studies. I can only afford to be an active "outsider" at this point. I know you dislike the distinction between "inside" and "out," and I do, too, but I think it's a necessary consequence of this bug that we're all going to have to live with.

The fact is that many of us do not feel included or valued. Or rather, it's that we're valued only if we do exactly what would qualify us to become "insiders." This statement of yours is the essence of this sentiment:

> I'm just unimpressed by people who grandstand about a particular bug
> when they could be helping to fix others with that energy.

See, some of us think that reporting bugs is actually a very valuable use of energy. And what you call "grandstanding," some of us would call advocacy. You've set a bar here to impress you, and it's higher than what most of us can afford to reach. We can't all join the Unity team, and I can't believe you would even want that. It would be interesting to hear from you (perhaps in a blog post?) what you think the role of a productive, constructive, supportive Ubuntu community would be.

I've read almost every comment the community has posted on these issues, on forums, blogs and Launchpad, and despite the occasional vitriol, I have to say that I am quite proud to be a part of it. Even when we feel that we are outsiders, most of us continue to have a stake in Ubuntu's success, and do what we can within our time limits and skills to make it better. You call it "nagging" -- I see it as passion for Ubuntu. Perhaps even a passi...

Read more...

Constantine (theaspect) wrote :

@Mark Shuttleworth

It's sad that "We dont won't add every option anybody ever want, because we dont want ends in another gnome/kde" leads to "we don't want add single option that 157 people wanted (truly speak, it could be done with mouse drag)". How many people should vote? 500, 1000, 95% Ubuntu users?

If you just say "We wouldn't do it right now, we have more important tasks for Unity team". Ok, I appreciate your decision, and wait next release, frustration not fatal, but it will be great to see roadmap with features poll, and vote for some features, if it happened that "This bug affects you and 157 other people" means nothing for you, if this feature request obviously not a bug.

Let me put a word in here as a developer on the dx team.

I receive ~1 bug email per minute in all 24 hours per day. That's ~1440 emails per day; and that's just counting the ones from Launchpad. I filter them and skim them to work with them as effectively as possible, but as you can expect stuff does slip through. I try my best to reply sensibly where applicable - but easy math explains why I need to be very selective in where I spend time writing up a reply. - And there is also code to be written, lest not forget! ;-)

Considering also that I subscribe to several high volume mailing lists, and spend more or less all my wake time in a range of IRC channels; it can not come as a surprise that someone not using all their wake time similarly will have a (very) hard time following what's going on. Sure, some things are discussed privately, but the majority of the information flow is actually in public - due to our distributed nature it just takes an extraordinary amount of effort to follow it.

For people (like myself ~2 years ago) only following the mainstream info points like news sites, blogs, twitter, forums, and the occasional LP bug, it is true that they are partially left in the dark. They are maybe seeing 2% of the total information flow. The Community Team (and news sites) are doing a grand job of trying to better this situation, but there's only so much they can do.

Let me finish off by noting how I've seen people still succeed despite my grim outlines above - community champions who've shown that it is indeed possible :-)

The common patterns are : 1) Spending lots of time on Unity-related projects launchpad, triaging bugs, commenting, and most importantly *proposing solutions* (patches, icons, wireframes, etc). 2) Start small - the mentioned bug about moving the launcher is a *big* deal - having complex ramifications for the user experience and being technically challenging. 3) Engage on IRC. Be friendly, pro-active, and persevering in talking to developers and designers on IRC. I can assure you they want to help (if they don't respond don't assume they are evil - see first paragraph ;-)). 4) Be focused. Find your main area of interest and stick to that. You'll never get to follow everything that goes into the distro. Even the flood of information I read each day only gives me a small window into what's related for Unity - but Unity, in the grander scope of things, is only small bolt in between the countless bits and bobs that make up Ubuntu.

Richard Gaskin (rg4w) wrote :

There are many opinions about design, but one way to move beyond opinion to an implementation we can all have greater confidence in is to broaden the scope and frequency of usability testing.

It may be useful to note that the phrase "usability testing" appears in only two posts here, and unfortunately neither suggests doing more of it.

Earnest usability testing, employed in a way that sincerely seeks answers with an open mind and minimizes a priori bias, is indeed difficult. But it is also so very worthwhile, arguably necessary for something as important as Ubuntu.

In the 11.x releases we've seen published notes about only two or three usability tests. As useful as they were, they were done relatively late in the design process, obviating the opportunity to act on some of the issues identified.

Usability testing can be expensive, but one way to raise the return-on-investment for such testing is to consider adopting A/B prototyping early on, probably best done with paper prototypes in those early stages, long before a single line of code is written. User Interface Engineering and other excellent teams have published extensively about the methods and usefulness of paper prototyping, and it may even be the case that Jared Spool and his team at UIE might be willing to contribute consultation to such a high-profile project as this if asked.

There are also ways the community can contribute to increasing the scope of usability testing. This is probably best as a topic in itself, but in brief it should be possible to establish guidelines and templates, and identify members of the community with experience conducting such tests, so that valuable data can be gathered from a much wider variety of contexts and delivered to the design team at Canonical with close to zero cost to the company.

In summary, may I humbly suggest an increased role for usability testing as one way to move forward beyond debates centered around opinion, to unite the community around designs whose benefits can be quantified.

Bazon (bazonbloch) wrote :

At least for me, this kind of communication (including mainly the "won't fix" attitude) had one advantage: I learned relatively fast that I had to say "goodbye" to mainstream ubuntu. (I'm using now xubuntu + compiz in ambiance flavour.)

Speaking of usability tests:
I see at least two problems regarding the community and communication within the usability tests:

1. No ubuntu user was included. Only 13 Windows users, 1 Mac user and 1 user who uses both Windows and MacOSX. http://design.canonical.com/2010/11/usability-testing-of-unity/
--> Unity is in fact not developed for the ubuntu community.

2. Between the usability tests, progress was announced although there was no change of the interface regarding those issues, only the aims were set in a way much easier to achieve.
--> issues were not solved, but talked away.
(I wrote about this in detail there: http://ubuntuforums.org/showpost.php?p=10971464&postcount=25 )

One might say now: Who cares about the old ubuntu community? Canonical is obviously trying to get a new one!
Well, that will be a lot harder then they continue losing multiplicaors, people who recommend ubuntu and help installing it.
(i can't recommend it any more, because it has no got default setting any more. [for me, the main problem in Unity is bad windows- and workspace-management.])
Therefore, a better communication in both ways would be really useful.

And speaking of https://bugs.launchpad.net/ayatana-design/+bug/733349 (minimize window by clicking on the launcher):
I'm not really pleased with the given explanations yet. What's the problem in adding ONE more option in CCSM which seems to have hundreds of settings (which I enjoy very much) yet? This seems to be not consequent.
Also, there are many GUI elements in ubuntu which toggle show/hide by click without changing appearance (@#20), e.g. most indicators.
(I don't want to revert the decision, I don't use Unity any more and so I don't care, I only want to show reasons for 733349 are reasonable...)

Mark Shuttleworth (sabdfl) wrote :

On 31/10/11 16:05, Richard Gaskin wrote:
> There are many opinions about design, but one way to move beyond opinion
> to an implementation we can all have greater confidence in is to broaden
> the scope and frequency of usability testing.

Agreed. We do in fact do a great deal of regular independent testing,
with a professional researcher and user testing expert present, and with
independently recruited test users who have no affiliation or
association with the product or the team. What you see reported is some
of the benchmark testing, there are other more fine-grained tests done
to evaluate particular directions or ideas.

> Usability testing can be expensive, but one way to raise the return-on-
> investment for such testing is to consider adopting A/B prototyping
> early on, probably best done with paper prototypes in those early
> stages, long before a single line of code is written. User Interface
> Engineering and other excellent teams have published extensively about
> the methods and usefulness of paper prototyping, and it may even be the
> case that Jared Spool and his team at UIE might be willing to contribute
> consultation to such a high-profile project as this if asked.

All of these techniques are in active use. We'd be glad to have other
independent agencies contribute testing feedback and assessment.

> In summary, may I humbly suggest an increased role for usability testing
> as one way to move forward beyond debates centered around opinion, to
> unite the community around designs whose benefits can be quantified.
The acting head of design in Canonical was appointed specifically
because of their strength and background in independent testing across a
variety of design disciplines. The recruitment job description to fill
that role permanently specifically requires deep insight and experience
with user testing. We're on the same page.

If you've done this before you know how it goes - test results can be
surprising, and products designed that way won't always suit everyone.
Nevertheless, that's the way we do it.

Mark

Mark Shuttleworth (sabdfl) wrote :
Download full text (4.8 KiB)

On 01/11/11 14:08, Bazon wrote:
> At least for me, this kind of communication (including mainly the "won't
> fix" attitude) had one advantage: I learned relatively fast that I had
> to say "goodbye" to mainstream ubuntu. (I'm using now xubuntu + compiz
> in ambiance flavour.)

It may be unpopular but we absolutely believe that it's necessary for us
to decline to accept every feature, or fix every perceived bug, in order
to deliver a great product. We're not there yet, but the fact that we
decline to fix some bugs is not in itself a bad thing; it's a sign of a
willingness to prioritise and choose, both of which are necessary but
not sufficient for success. It would be great if you would acknowledge
that, but if you can't, it doesn't change the way we think about what we
need to do.

It's wonderful that the breadth of Ubuntu spans much more than the
default Ubuntu with Unity, and that there's an easy option on the Ubuntu
core which meets your needs. I hope you appreciate that it takes time
and effort and money from the core of Ubuntu in order to support Xubuntu
too; so I hope you're really saying "thank you for supporting the
Xubuntu team". Xubuntu is an official remix and every bit as mainstream
as the default Ubuntu.

> Speaking of usability tests:
> I see at least two problems regarding the community and communication within the usability tests:
>
> 1. No ubuntu user was included. Only 13 Windows users, 1 Mac user and 1 user who uses both Windows and MacOSX. http://design.canonical.com/2010/11/usability-testing-of-unity/
> --> Unity is in fact not developed for the ubuntu community.

Ubuntu aims to deliver "Linux for Human Beings". On that basis, the
selection of test subjects is entirely appropriate. We're unusual as a
community in that we strive to deliver something that goes beyond
scratching our own itch, although in fact we do a lot of that too, we
just celebrate delivering things which are widely useful more than
things which are only useful for ourselves. If you want something that
only suits you, I'm sure you can find it elsewhere, or that you can
produce that from the packages in the Ubuntu archive, and we'd be very
happy for you to do that.

We have about 20 million users today. We want 200 million users by 2014.
The extra 180 million users are not in the Ubuntu community today, so
you can in a sense say that it's true - Unity was not developed for the
Ubuntu community of today, it was developed with love for the Ubuntu
community of the future. You're invited to that community, but not
required to join it.

> 2. Between the usability tests, progress was announced although there was no change of the interface regarding those issues, only the aims were set in a way much easier to achieve.
> --> issues were not solved, but talked away.
> (I wrote about this in detail there: http://ubuntuforums.org/showpost.php?p=10971464&postcount=25 )

Nonsense. Anybody who doubts my position, please read the relevant
documents and draw your own conclusions. I know of no established and
trusted leaders in the Ubuntu community who would support your conclusions.

> One might say now: Who cares about the old ubuntu community? Canonical is obviously...

Read more...

Paul Bailey (paul-m-bailey) wrote :

I'm pretty sure the community communication channels and processes have not changed drastically since this "bug" has started to show its face. So there are only two possible explanations for the user dissatisfaction:

1. This "bug" has been here for a long time and it just hasn't been noticed until now.
2. Unity is piece of crap right now and is frustrating the heck out of everyday Ubuntu users who don't think they are being heard because their bugs and ideas are not being dealt with.

I tend to believe #2, but if you do believe #1 you still probably agree that Unity is the factor that has awakened all this higher than normal user communication. So at the end of the day, it's not a community engagement issue because if Unity is "fixed" 95% of us would go back to our ignorant Ubuntu bliss.

Ubuntu is having its Windows Vista moment right now, but I believe Unity is a solid foundation that just needs some work. I think two things need to be done.

1. Fix a bunch of bugs. Hopefully, this is the focus already since 12.04 is LTS.
2. Compromise on some configuration options for Unity.

Ubuntu is a community of power users right now and giving us a few more options to tweak our experience would go a long way to make the community feel better. A place to vote on which options to include would be ideal. Perhaps at http://brainstorm.ubuntu.com/unity/

I think if a compromise was reached to include the top community defined configuration options, the community would feel
vindicated.

TitanKing (titan-phpdevshell) wrote :

I think the community is too hard on Shuttleworth and his team (maybe even selfish), they are truly trying to achieve a vision here, lets honor this. I honor what they have done for Linux and open source thus far. I mean I use Launchpad for my own open source projects exclusively and I understand allot about making decisions. Sometimes you have a vision and to keep that enthusiastic flame burning, at times you have to do something exciting with your own creation, in the end it benefits everyone if it succeeds. Let Canonical push through their vision, if Unity makes it to the Desktop of millions it will benefit us enormously.

I like to think of myself as a Linux power user, Ubuntu is much more than the desktop environment, don't forget the excellent backbone it runs on. Although Unity does not fit my needs, I moved over to Xfce, and I fell in love with it. I honestly think there is nothing to complain about. If you don't like Unity and call yourself a power user, its time to more on and let them do their work, as a power user you should realize that there are beautiful alternatives.

Mark, please don't think the community is unappreciative of what you have done so far, they are just worried that their favorite Open Source tool might be falling apart, while the exact opposite is happening. I think you might want to market Xubuntu for power users more as it grossly underestimated, the solution is there, people just need to realize the alternative is great!

Constantine (theaspect) wrote :
Download full text (6.3 KiB)

Re TitanKing: main problem here, averadge user don't know about launchpad,
bugreport, maillist e.c. Moreover, they didn't even know that something
broken, or work not so good, as supposed to be.

2011/11/3 TitanKing <email address hidden>

> I think the community is too hard on Shuttleworth and his team (maybe
> even selfish), they are truly trying to achieve a vision here, lets
> honor this. I honor what they have done for Linux and open source thus
> far. I mean I use Launchpad for my own open source projects exclusively
> and I understand allot about making decisions. Sometimes you have a
> vision and to keep that enthusiastic flame burning, at times you have to
> do something exciting with your own creation, in the end it benefits
> everyone if it succeeds. Let Canonical push through their vision, if
> Unity makes it to the Desktop of millions it will benefit us enormously.
>
> I like to think of myself as a Linux power user, Ubuntu is much more
> than the desktop environment, don't forget the excellent backbone it
> runs on. Although Unity does not fit my needs, I moved over to Xfce, and
> I fell in love with it. I honestly think there is nothing to complain
> about. If you don't like Unity and call yourself a power user, its time
> to more on and let them do their work, as a power user you should
> realize that there are beautiful alternatives.
>
> Mark, please don't think the community is unappreciative of what you
> have done so far, they are just worried that their favorite Open Source
> tool might be falling apart, while the exact opposite is happening. I
> think you might want to market Xubuntu for power users more as it
> grossly underestimated, the solution is there, people just need to
> realize the alternative is great!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/882274
>
> Title:
> Community engagement is broken
>
> Status in Ayatana Design:
> New
> Status in Unity:
> New
> Status in Unity 2D:
> New
> Status in “unity” package in Ubuntu:
> Confirmed
> Status in “unity-2d” package in Ubuntu:
> Confirmed
>
> Bug description:
> This bug is opened with love.
>
> The issue appears to be a communications failure between the people
> who make Unity and its community of users. The bug is easy to
> reproduce: open a Launchpad bug about how Unity breaks a common usage
> pattern, and you get a "won't fix" status and then radio silence. The
> results of this bug are what seems to be a sizable community of
> disgruntled, dismayed and disappointed users, who go on to spread
> their discontent and ill will. I'm sure this ill will is painful for
> the awesome folk working on Unity. It's painful for the community,
> too.
>
> For a heartbreaking example, see:
> https://bugs.launchpad.net/unity/+bug/668415 or
> https://bugs.launchpad.net/ayatana-design/+bug/733349
>
> The bug primarily affects Unity, but also affects Ayatana and Ubuntu
> quite directly. Unity is a rather small program and project in Ubuntu,
> but -- whether the Unity teams likes it or not -- it is the front face
> of Ubuntu, and the project and its ability to engage the ...

Read more...

einhverfr (chris-travers) wrote :
Download full text (3.5 KiB)

Here are a few thoughts here that may help move a dialog forward. I speak as someone who supports some Ubuntu deployments, as a user, and as an open source software developer who does a lot of work in my own community.

The first thing to recognize is that community engagement is always broken. perfect engagement is impossible. Any open source project can always improve that engagement, so if community engagement is broken, that's a relative and not an absolute statement. As developers we can and should strive for perfection, and one of the strengths of open source software is the interaction that users and developers have. This allows developers to understand user needs, and users to better communicate problems so that they get the right solutions.

A second thing to recognize is that not all feature requests are reasonable or should be included. But all feature requests should be considered for further action even if they are not going to be implemented exactly as requested. A feature request is what we get when a user says "Hey, this isn't working for me." It takes time to engage with users to better understand needs, workflows, etc. However ultimately one gets a better product if one does.

So for example, when I look at the bugs above, I conclude that people are defensive of design decisions and less interested in *why* users are requesting this. If I were managing a project, these feature requests would be considered for further action at a later date, users would be engaged with, with an idea of trying to understand their needs.

Now, maybe after we all talk the answer is "use a different desktop." Maybe the answer is documenting "Unity was not designed for widescreen displays in portrait mode." Maybe the answer is working on finding a mutually acceptable solution. However, with very few exceptions, I don't think it's a good idea to simply say "this isn't in line with our design goals" and leave it at that.

I have seen this sort of interaction before and it never ends well.

Of course, Canonical has a moral right to spend their time and resources how they wish. However, from a community perspective, it might be better to be clear as to whether something will not be fixed on Canonical's dime, or whether Canonical is even unwilling to discuss or accept patches on the matter further. If the latter, I think a great deal of sales work needs to be done selling the way things are, and listening to users as to shortcomings.

If I were to suggest a fix for this bug it would be as follows: Change bug reports of this sort to a different category (let's call them UI feature requests). Let everyone know that Canonical considers this to be outside of what they want to do. Move requests there. Let other people review those requests and implement them if they want. Canonical can then accept patches. If a feature is not going to be accepted under any circumstances, then work needs to be done understanding why it is being requested, and a mutually acceptable feature request added to that queue. If Canonical is undecided on this latter category, maybe say so when moving?

The advantage to this sort of system is that when new fea...

Read more...

Tal Liron (emblem-parade) wrote :

Friends, I think most of us know how easy it is to switch to GNOME Shell, or even XFCE (or LXDE -- let's not forget it, it's wonderful in its minimalism) in Ubuntu and still stay in a mostly GTK-and-GNOME-like paradigm. For some, that's a perfect solution!

But, please try to understand why this is not a good enough solution for some of us. The problem is the bitter taste it leaves in our mouth: a lack of trust in Ubuntu as a whole and its leadership. We have many, many choices for complete operating systems in the free software world, so why advocate and push for Ubuntu if we cannot trust that the project is going in the right direction?

Mark has accused some of us of being "selfish" in trying to push for a specific bug fix. What he fails to understand is that it's not for ourselves that we're pushing. Our personal problems are easily solvable in the free software world in so many other ways. We are frustrated because we think one of the best opportunities we've ever had for a free operating system for everyone might be squandered.

It's the same with the threats of "That's it! I'm switching to Mint!" I think Mark and others just roll their eyes when they see such threats. The threats are indeed a bit pathetic... But, to me they are very worrying because they show that Ubuntu is not doing well enough in the battle for hearts and minds.

Famously, the first bug open in Launchpad is this:

https://bugs.launchpad.net/ubuntu/+bug/1

Microsoft Windows won the desktop not because of quality, but because of good business positioning. Will Ubuntu win only because it's free software? RedHat is doing OK, but hasn't really conquered. Ubuntu may have to win on a combination of factors: of being "good enough" as a replacement (meaning it will support all standards), of actual merit and added value it could bring to enterprises and home users, and also some good business deals. But I also believe that popular support, advocacy, and a strong community will be a factor. For example, consider how well the iPhone and Macs have done in replacing BlackBerry and Windows in their traditional corporate turf. The reason is advocacy by private people who love Apple devices so much and keep pushing for them. The "I'm switching to Mint!" folk are not going to be such people for Ubuntu. Losing them is just really too bad.

So, yeah, we can just "move on" and stop bothering the Unity folk. We know that. But we keep "nagging" because what is at stake is bigger than just a moveable Launcher. What's at stake is Launchpad bug #1.

Tal Liron (emblem-parade) wrote :

Here's a write up on this issue by Bruce Byfield, with many excellent comments following:

http://www.linux-magazine.com/content/view/full/51293

Wow, just imagine ALL that lines of code on Ubuntu...

Dwayne Litzenberger (dlitz) wrote :

> We have about 20 million users today. We want 200 million users by 2014.
> The extra 180 million users are not in the Ubuntu community today, so you
> can in a sense say that it's true - Unity was not developed for the Ubuntu
> community of today, it was developed with love for the Ubuntu community of
> the future. You're invited to that community, but not required to join it.

I guess the obvious question is, at what point do you start including Ubuntu
users in your usability testing? What's the plan to get from here to there?

Kathy Sierra (known for the now-defunct blog, "Creating Passionate Users")
often asks her audience the following question: What do you want your users to
be saying about you:

A. "Their product is awesome."
B. "Their service is awesome."
C. "Their company is awesome."

Her answer is:

D. "I'm awesome."

As a user of Ubuntu, how does Unity make me awesome?

Bazon (bazonbloch) wrote :

@M.S.#39:

>> Also, there are many GUI elements in ubuntu which toggle show/hide by click without changing appearance (@#20), e.g. most indicators.

>Which indicators are you referring to?

Pretty much every indicator in Unity has this this 'one click: show, next click: hide' behaviour:
indicator for network-manager, for sound, for bluetooth, indicator-me, indicator-messages, indicator for dropbox...
...even the dash and the workspace switcher (button in the launcher!) have this show/hide behaviour.

so for me, it seems to be more consistent, if the other buttons in the launcher also would provide show/hide functionality.

And about my doubt concerning the usability testings:
I'm really curious whether someone could tell me, which change in the GUI caused the change from
october-report:
 http://design.canonical.com/2010/11/usability-testing-of-unity/ concerning multitasking
("Multitasking on Unity is disconnected and difficult at times")
to april-report:
 http://design.canonical.com/2011/04/unity-benchmark-usability-april-2011/
("Multitasking: (...) This is fixed.")

I tested each version of Unity and at least I've seen no change in the way multitasking was handled.
(And multitasking in Unity IS one of those need-many-more-clicks-than-before things which really bother in Unity...)

But after all, I'd like to say:
Don't get me wrong, I'm still a fan of Ubuntu. I'm only confused by its direction change, but now I'm personally happy with Xunbuntu, Compiz and the exelent ambiance design.
Thanks for that anyway. :-)

As a point of reference, Windows 8's Metro user interface is going to provide a "Windows Classic" workspace for backwards compatibility. This is an area that Microsoft has consistently gotten right over the years, and thus helped them maintain their position in the market. Even when they make advances, they always retain a layer of backwards compatibility to avoid disparaging their existing customers (and thus losing them).

Taking this lesson to heart (I believe) would greatly improve the growing tension that Canonical's go-it-alone mindset is generating in the community. Thus, the simple and obvious solution to the "Unity problem" (and most of these NIH design decisions) is to retain a backwards-compatible layer (e.g. GNOME interface in a Unity workspace). So, anyway, if you don't want to risk losing more-and-more users and positive mind-share about Ubuntu, you're going to have accept the reality that backwards-compatibility needs to be a key tenant of your community involvement and design approach.

Dwayne Litzenberger (dlitz) wrote :

> As a point of reference, Windows 8's Metro user interface is going to
> provide a "Windows Classic" workspace for backwards compatibility. This is
> an area that Microsoft has consistently gotten right over the years...

Why do we always point to Microsoft and Apple as if they're somehow a
reference implementation of great UI design that we just need to copy? There
is *no* point in trying to replicate what Microsoft and Apple have done:
Almost nobody who is happy with Windows or OS X is going to switch to Ubuntu
unless Ubuntu is substantially better in some way.

Ubuntu's default UI needs to design for its strengths, rather than trying to
compete on MS and Apple's home turf. Those strengths are:

1. (GNU/)Linux
2. The community

So, the default Unity launcher could have icons for:

1. Terminal
2. Connect via IRC to #ubuntu

Instead, Unity (along with every other desktop Linux project) takes the best
CLI in the world...and hides it.

Instead of designing a dead-end UI exclusively for novice users---something
that Microsoft and Apple already do reasonably well---why not focus on:

1. Designing for power users
2. Making it easy for novices to become power users
3. Avoiding wasting users' time

Nobody does that well today, but Ubuntu could probably pull it off, and it
would be *huge* step for education, for computer literacy in general, for
software freedom, and toward getting rid of things like software patents,
ACTA, and the DMCA, since those issues affect power users most directly.

syadnom (dandenson) wrote :

I have effectively abandoned Ubuntu as a result of Unity. I have been a log time converter of friends and family and EVERY person I updated to unity dislikes it immensely. I have moved back to debian proper and have stopped promoting Ubuntu.

I don't post here often but I lurk. I do feel that Ubuntu devs are looking at users outside of the current user base almost exclusively. I don't feel that any attention is given to the 20m or so people out there using the product.

There is a truth that cannot be overlooked. The existing users are your 'dealers' or ambassadors. They are the ones to lure future users in. How to get from 20m users to 200m users? Certainly don't abandon the first 20m, you will lose your sales force.

I like the dash concept ('task bar' in the common language), I just don't think the current execution is great. I have been moving my task bar/launcher to the left edge forever (gentoo days, circa 2002, fluxbox) and am happy with this move. My issue with unity is first of all performance, which compared to a classic gnome panel, xfce, or windows 7, is sluggish. I have seen unity on no less than 100 computers so this is not a hardware specific thing, this is universal. Secondly, there MUST be the ability to customize it to some degree. OSX being the lease customizable, still is must better than unity in this regard.

and so back to the core issue. There have been hundreds of suggestions that are squashed with prejudice and the topic abandoned. GREAT suggestions. Not massive, unreasonable wants, but real, obvious gaps in the product.

So, this is canonical's game. they can choose to take the suggestions or not. I am not angry, I don't feel ripped off. But I exercise my right to use something else. What is my impact? probably not huge, but I do own the largest pro-linux computer service and sales shop in my town of 200k people.

> Why do we always point to Microsoft and Apple as if they're somehow a
> reference implementation of great UI design that we just need to copy? There
> is *no* point in trying to replicate what Microsoft and Apple have done:
> Almost nobody who is happy with Windows or OS X is going to switch to Ubuntu
> unless Ubuntu is substantially better in some way.

If you re-read that post a bit more carefully, I'm sure you'll quickly notice that my underlying message says nil about UI design itself (and whether or not other OS vendors get it right or not is irrelevant), but instead pinpoints backwards-compatibility as the foundationally relevant issue at play here (i.e. Windows 8 users will be very satisfied once they discover they still have their familiar "Windows classic" UI). Again the problem here (in my opinion) is that Unity has no "Ubuntu classic" (or "GNOME classic") workspace to address the backwards-compatibility issue of the human psyche of existing Ubuntu users.

Mike Niland (michael-niland) wrote :

As far as I can tell, this is all about one issue - moving the launcher. The left-side launcher is the single point of failure in Unity, which is otherwise a good interface. For whatever design or user testing suggested that every single user wants the launcher on the left, in the real world, some people want it on the bottom or on the right, and some of those people aren't going to use Ubuntu at all if Unity doesn't let them put it there. Does anyone seriously think Ubuntu will have 200 million users in three years if those users can't even move the dock? Ubuntu isn't competing with Android and iOS. Those are mobile operating systems. Ubuntu is a desktop operating system.

Eventually, the community is going to patch the launcher to work correctly, because in the eyes of the community, a launcher that doesn't move is incorrect.

Dwayne Litzenberger (dlitz) wrote :

> As far as I can tell, this is all about one issue - moving the launcher.

I think the launcher just illustrates a deeper problem with the *attitude*
that's been steering Unity development: making the experience better for 180
million hypothetical new users, while neglecting the experience of the 20
million actual users.

IMHO, the whole Unity team needs to take an hour to watch this:
http://www.dustinkirk.com/2010/06/06/kathy-sierra-creating-passionate-users/

Bazon (bazonbloch) wrote :

> As far as I can tell, this is all about one issue - moving the launcher.

Absolutely not, there are many more issues- As I said before, the things that trouble me most are bad window and workspace management:
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/683170
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/689733
https://bugs.launchpad.net/unity/+bug/734253
https://bugs.launchpad.net/unity/+bug/740862
Also Global menu: https://bugs.launchpad.net/unity/+bug/682788
but also general problems:
https://bugs.launchpad.net/unity/+bug/696214
https://bugs.launchpad.net/unity/+bug/751630

Art Cancro (artcancro) wrote :

Canonical (and Mark S. in particular) are openly hostile towards the vast majority of Ubuntu users who have a strong dislike for Unity and want it removed, or at least made optional.

Many of us are now, or will soon be, ex-Ubuntu users.

Ubuntu has really jumped the shark with this one. Apple can get away with the "this is where we're going whether you like it or not" routine. Canonical can not.

Mike Niland (michael-niland) wrote :

There is more than one issue with Unity, absolutely, and I probably should have phrased it this way - the community engagement issue is going to come to a head over the launcher. It's likely to be the first flaw a new user encounters in Unity, and certainly generates more forum posts than any of Unity's other quirks.

The difference between Linux and commercial operating systems is that Linux is community-driven, and while Mark makes a good point about dispersed efforts hurting development, the community has the ultimate decision-making power. In this case, it's Canonical's job to lay out a vision; it's the community's job to fill in the details.

It's only a matter of time before the community patches in a movable dock. The demand is there, and the implementation can be done by one person. The question in my mind is how Canonical will respond to that patch - will they give preference to their design or to the community's wishes?

Mark Shuttleworth (sabdfl) wrote :

On 04/11/11 15:49, Bazon wrote:
> Pretty much every indicator in Unity has this this 'one click: show, next click: hide' behaviour:
> indicator for network-manager, for sound, for bluetooth, indicator-me, indicator-messages, indicator for dropbox...
> ...even the dash and the workspace switcher (button in the launcher!) have this show/hide behaviour.
>
> so for me, it seems to be more consistent, if the other buttons in the
> launcher also would provide show/hide functionality.

Indicators are menus. All menus behave that way.

Mark

Jon Brase (jonathan-brase) wrote :
Download full text (4.1 KiB)

@Mark Shuttleworth:
>Nonsense, again. Ubuntu has *always* aimed for usability, always gone
 >the extra mile to make it easy to install and easy to embrace and easy
 >to share Linux. I don't think it's cool to be too cool for that mission,
 >but if you are in fact too cool for that mission, please don't denigrate
 >the work of those of us who care about it.

It's not a matter of being "too cool" for the mission of making Ubuntu more usable. You've got two types of people complaining about Unity. Neither is "too cool" to support said mission.

One group has a workstyle for which GNOME 2 is more usable than Unity and feels abandoned by the disappearance of GNOME 2 (and the fact that GNOME 3's fallback mode is a less suitable replacement than XFCE), and some members of that group don't realize that it's GNOME, not Canonical, that's responsible for there not being a suitably back-compatible replacement for GNOME 2. I belong to this group (namely, the part of it that recognizes that the disappearance of GNOME 2 is not Canonical's fault). I generally agree with them about the usability of Unity (given that a good part of the OS industry seems to be going to similar interfaces, a good chunk of the population probably has a work style for which Unity is usable. For me, however, it's totally unusable). I do, however, realize that 1) Canonical is pursuing a user base that may have an easier time with Unity, and 2) it's probably more productive to complain to the GNOME project, given that it seems much more reasonable to me for a distribution to switch DE's if it doesn't think its current DE's interaction model is the best for its target users (given that users can always go back to the previous DE) than for a DE to suddenly switch interaction models (given that a DE's core users are the users that find its interaction model to be the best in the world, and that if a DE switches models, its original model ceases to be available).

This first group is making a lot of complaints that I think have been wearing your (and the rest of the Canonical team's) nerves thin, with unfortunate consequences for the second group.

The second group, I think, is the one you really need to listen to. This is made up of people (like Tal Liron) that like Unity's interaction model, but find it lacking in some small way or other (as opposed to the big ways that I and others in the first group find it lacking). The important thing about this group is that it is likely to be at least somewhat representative of the new users you're aiming to acquire (assuming that the analysis that new users are more likely to be attracted by Unity is accurate). If you want to solve bug #1, you're going to have to listen to this group, especially insofar as Microsoft has implemented the features they're asking for.

The second group is complaining about the fixed launcher (From screenshots I've seen, the Windows 7 task bar remains movable, as does the OS X dock) and the minimization issue (Windows has been training 90% of your potential users for years that the place you click to maximize a minimized window can also be clicked to minimize it when it's maximized, and while I have...

Read more...

Garthhh (gchoyman) wrote :

This is an interesting discussion

when I look at the entire situation, I probably see it a different way
the organizational structure is a mashup of different elements
some of the integration between the tools are as MS would put it are suboptimal
I know there is no time to to think ways to improve the structure of larger organizations

no idea what would be better
there are all manner of ways to communicate

for real work, it's hard to beat email or even mailing lists
the lack of organization & just shear volume, can be overwhelming
this format [launchpad] is good,
possibly a limited access version. Anyone could read only certain people [groups] could post
some of us would be quite interested in following along the discussions of the big picture, while keeping the devs from having to interact with too many people, the time constraints are very real & do need to be respected

Termina (termina) wrote :

@Jon Brase

I'm not sure how useful it will be for Canonical to ignore group #1.

Many of us have offered up Ubuntu to friends and family as a replacement for Windows. This includes our computer illiterate friends and family.

Most of these people see the interface as the operating system. "Windows" to them is the explorer interface. Linux and Ubuntu to them is "Gnome 2".

If you look at the desktop of someone who's had Linux as their operating system for a few months, it probably looks pretty different than stock. Different colors, applets on the top bar, etc. Multiple windows open...

Now, how do you expect users to react to a massive UI change? Why do you think Windows 95 through 7 looks pretty much the same? People don't like huge change in their chosen DE. This will shake their confidence that Ubuntu will remain a stable environment for them.

I understand that this change has been rather forced on Ubuntu. But almost any interface would have been a better choice for the x86 Desktop version. This interface is obviously meant for touchscreens like tablets.

There is a reason people don't use Android on their desktop and laptop computers.

Ubuntu has always been a Desktop/Laptop distro, and I am saddened to see it moving away from that.

Mark Shuttleworth: "I think in the near future all laptops will have sophisticated multi-touch hardware. All the hardware vendors that are working on touch are talking to Ubuntu."

Patrick J. LoPresti (lopresti) wrote :

All I want is to move the d@#% launch bar to a different side of the screen.

I can do this with Windows.

I can do this with OS X.

I can do this with GNOME.

I cannot do this with Unity, because some billionaire says it does not fit with his "vision".

Remind me again why I use open source software? Oh, right, because it puts me in control...

Utterly ludicrous.

einhverfr (chris-travers) wrote :

> There is a reason people don't use Android on their desktop and laptop computers.

Absolutely. The fact is, for any of us who spend time thinking about the tradeoffs of command-line vs GUI interfaces, one fact is amazingly clear: Interfaces must be designed around their inputs, not the other way around. If inputs are sufficiently different (touchscreen vs mouse and keyboard), the interface will need to be different as a result.

Think about it this way. From a commend line I can provide the computer more information faster than I can from a GUI. However, the computer can give me more information faster from a GUI. The inputs and outputs are fundamentally different and so GUI's can never have the same degree of functionality readily available that a CLI can (imagine using a GUI to accomplish what the ftp command get foo.c ~/sources/foo/bar.c does), but many things (surfing the web) are much better in a GUI even given this tradeoff. I am convinced systems with keyboards and mice are fundamentally different from systems without them in similar ways.....

Wouldn't it be cool if we could have a very good, consistent interface across tablets, smart-phones, laptops, and desktops? Sure, but I think this is impossible for reasons of mathematics. From my perspective, Gnome 2.3 is the best desktop UI ever developed. Of course it would be awkward on touchscreens. Similarly Android and iOS are great touchscreen interfaces but would be horrible to use with a mouse. Apple knows this. Google knows this. Even Microsoft knows this. I have to wonder why Linux UI developers seem to have abandoned all the great work done so far to pursue such a pipe dream.

Watching the Windows 8 demos, I keep thinking that Microsoft has learned the right lessons from us, and we (btw, not just Ubuntu, but also GNOME) are learning the wrong lessons from them.

Tal Liron (emblem-parade) wrote :

@einhverfr

I think some people are interpreting Mark's announcement through their own bias.

Unity may be friendlier towards tablets than most desktop interfaces, but there's still a long way to go, and indeed that's why the Unity team is setting such a far-off date for tablet support. Try for yourself: install Unity on a tablet and see. I did it, and it's horrible. A lot of the problem is not Unity itself, so much as GTK and the mouse-oriented design of every important desktop application. You might be able to launch GIMP on a tablet, but you can forget about doing anything useful with it without connecting at least a mouse, and hopefully a keyboard, too. Indeed, there's a very good reason why both Apple and Google decided a fresh start was needed. Current apps are simply broken on tablets, and there's no meta-way to make them "just work." The whole free software community needs to make the shift. Standards need to be set. APIs. I have no doubt that Ubuntu will take the lead on this. (I just keep hoping they'll include more of the community of their supporters in the effort.)

In their rush to hate on Unity, people are forgetting how keyboard-centric Unity is. It's more keyboard-centric than GNOME 2, GNOME 3, and really almost every desktop shell out there. This came as a pleasant surprise to me when Unity first came out, and indeed Mark is entirely correct when he says that Unity very much takes "power users," who are CLI freaks, in mind. A great amount of effort has been put into making sure that Unity indeed would unify everything from keyboard to mouse to touch in the future, with the same exact base feature set, and it shows very well. Nobody has done so well in this task before, and Unity designers deserve the full credit for this breakthrough.

I keep emphasizing this: but I'm "nagging" on this bug so much because I really do love Unity, and would like to see it go the extra mile towards unifying all my computers. As of now, I have to do weird things on my multi-monitor desktop in order to use it. But, again, I'm willing to make the effort in order to stay as close to the Unity paradigm.

I wouldn't mind if they want to the keep the launcher on left forever. How many of us really change any default layout. KDE keeps the taskbar at bottom and I dont change that. Win 7 has it's default at bottom, How many them change. NOT MANY RIGHT?

Only thing as a user I ask Unity developers is to make it just work wherever it is.
For Eg:
1) More responsive.
2) Less resource hungry. ( It works for me on 2GB Ram but not on low graphics).

My thoughts on launchbar actions:
It's more consistent behavior if the icon I pressed minimizes the app back. Because as earlier pointed out even application indicators like indicator-menu, message indicators all use same behavior. Task bar's of these have similar behavior : Gnome 2 , KDE, Win 7.
The problem is we as user of all these DE have this in our mind about how a dock should work. On the other hand, Mark thinks in the other way about a launcher. with all due respect I ask Mark why should it be called a launcher (which makes you think that it's for just launching an app), call it a dock where many features could be added on.

wayward4now (wayward4now) wrote :

When Linus says he uses XFCE, someone's ears ought to perk up. Linus is no Joe Lunchbucket user, afraid of new things. So, I installed XFCE and am happy as a clam. I refuse to use KDE as they have features you can't turn off that consume CPU and power. Thankfully I have choices. If I wanted to use the keyboard all the time, I'd go back to commandline interface and see if Firefox and LibreOffice would port SVGA versions. Of course they would be full screen all the time and I would have to switch workspaces with the ctrl-alt-F? combination... hey! That sounds like Unity! :) Ric

Magnes (magnesus2) wrote :

> Indicators are menus. All menus behave that way.

Is dash also a menu? Because it behaves the same way.

Jon Brase (jonathan-brase) wrote :

@ Tal Liron
>In their rush to hate on Unity, people are forgetting how keyboard-centric Unity is.

Not me. For me, the fact that that keyboard centrism comes at the cost of huge regressions in mouse-centric usability is what kills it for me (that and some configurability issues, but many of those come from GNOME 3 and weren't in the GNOME 2 based Unity in 11.04, and thus aren't Canonical's fault).

I'm used to being able to switch windows (or minimize a window) with a single click to a screen-edge target (the edges of the screen are the fastest to access because you don't have to worry about overshooting with the mouse. You can thus slam the mouse in the general direction of the screen edge to get it there as quickly as possible). Window management is the most common task I perform on my desktop, so it's important that I be able to do it quickly. Having multiple windows of the same program be smashed into one icon on the launcher means that accessing any window that's not the only window running for its program requires an extra click (this may be mitigated if the window isn't minimized or covered by another, but it's still not a screen-edge target in that case). It's made worse by the fact that the size of the launcher icons along the screen edge is a good deal smaller than taskbar buttons were (which makes them a smaller target that I have to aim more carefully to hit, which slows me down).

Then there's the fact that the launcher's merging of quick-launch and window management functionality interferes greatly with its functionality as a launcher: Linus famously complained about similar problems in GNOME Shell: When he had a terminal open and clicked on the icon he'd used to launch it, his original terminal window got brought into focus, rather than a new one being launched. But it doesn't just apply to the terminal: It can apply to Nautilus, or gcalctool, or gedit, or OpenOffice. (Come to think of it, this goes straight against Mark's assertion that "clicking twice on an icon should generally do one thing twice"). Even with an option in a context menu that allows opening another copy of the program associated with the icon, it's still two clicks instead of one.

Magnes (magnesus2) wrote :

@Jon Brase - use middle mouse button (click the wheel).

kfsone (oliver-kfs) wrote :

@Mark

Many of us came to Ubuntu from other distros seeing a vital combination of two components:
- A viable desktop experience,
- The offer of Long Term Stable.

I can only speak for the folks who introduced me to Ubuntu and the folks I've brought with me, but we are confused: We'd tied that LTS notion with forward-going Ubuntu support for a Linux alternative to Win/Mac on the desktop.

However: The direction and changes of 11.x *suggest* to us that Ubuntu is swapping from desktop to sub-desktop focus for it's primary distribution.

Let me put it as succinctly as I can: to many of us outside of Cannonical it seems like you've done this:

$ cd /pub/cannonical/ubuntu-spins
$ ls -d ubuntu-default
ubuntu-default -> desktop-spin
$ ln -fs netbook-spin ubuntu-default
$ rm ubuntu-netbook # redundant now

And we're trying to figure out if the next step is

$ rm -rf desktop-ubuntu
or
$ ln -fs desktop-spin desktop-ubuntu

I also understand that you're shifting focus to branded sales of desktops, but anyone who has a non-boxed/branded desktop is likely to have just ever-so slightly unusual of a configuration of hardware. If Unity is to omit any configuration that allows for adaptation to hardware/locality configurations, then such a user is not target audience and should be made aware and/or directed to a "power user" spin or something.

At heart here is the question of: Is the Unity philosophy "all options are bad" or is there a line? Can I tell it what language I speak? Can I tell it to render text right-to-left? Can I tell it which side of the screen is my natural anchor, not just for text but for the launch bar? Can I tell it to use high-contrast colors because my sight is impaired? Can I tell it what colors to use because I have color blindness? Can I customize the color of every line, widget, character, use-case and time of year?

If you can create policies to answer these questions, I think you have a great opportunity (regardless of the specific answers to the issues of my own specific interest) for Unity, because arbitrary limits on configurability in a device are equally as bad as too few or too many.

Patricio (patriciov) wrote :

I think it's pretty clear that part of the community (me included) is mad because Gnome 3 didn't live up to half the expectations we had from Gnome 2. If it was as good, we wouldn't care about Unity as we have the option to easily install it.

Remainder: should Unity not exists, we'd be stuck with Gnome 3.

@Mark - We seem to like Unity better than Gnome 3, otherwise you wouldn't see us here complaining. It's just that Unity still seems too half assed and the community feels abandoned as requests are denied/ignored.

@Community - It's only a matter of time until someone writes all those tweaks we're looking for.

Bazon (bazonbloch) wrote :

by the way, mint is doing it exactly right IMHO:
"What we’re sure of, is that if people aren’t given the choice they will be frustrated and our vision of an Operating System is that your computer should work for you and make you feel comfortable. So with this in mind, Gnome 3 in Linux Mint 12 needs to let you interact with your computer in two different ways: the traditional way, and the new way, and it’s up to you to decide which way you want to use. "
http://blog.linuxmint.com/?p=1851
This is so true!
further:
"For this, we developed “MGSE” (Mint Gnome Shell Extensions), which is a desktop layer on top of Gnome 3 that makes it possible for you to use Gnome 3 in a traditional way. You can disable all components within MGSE to get a pure Gnome 3 experience, or you can enable all of them to get a Gnome 3 desktop that is similar to what you’ve been using before. Of course you can also pick and only enable the components you like to design your own desktop."
The Mint Gnome Shell Extensions seems to re a really good way to give the user the choice between traditional and new GUI methods, the user is in full control.
The reactions there http://blog.linuxmint.com/?p=1851 are also very positive.

Paul Sladen (sladen) wrote :

Oliver: it's certainly true that the Unity work has evolved out of and is a continuation of the Ubuntu Netbook Remix interface research work. However, as the substantial user base are desktop users, it's fairly unlikely that Ubuntu would be wishing to upset those existing users intentionally—you note that folks introduced you to Ubuntu, and you yourself encouraged more folks to follow after that. It's likely that you are all desktop users.

I'd like to explore your LTS concern(s). Currently an LTS release is supported for five years on the desktop (it used to be three years on the desktop). That means that what /was/ released, is going to be supported going forward and continue to be usable, in a fully supported fashion, for at least half a decade. You've still obviously got some concerns, or questions, around LTS and the desktop experience. Could you narrow those down specifically and I'll try and respond to them?

I believe at the recent UDS-P in Orlando, it was specifically mentioned in Mark Shuttleworth's keynote that there would be a focus on "power users" during the cycle. The keynote section on power-users starts at the following offset:

  http://www.youtube.com/watch?v=0bOwyGYTMv8#t=22m38s

Ubuntu's success to-date has generally been around choosing good defaults. You've asked the question "Can I tell it what language I speak?" It's more interesting to thing about the wider issue; eg. "Can the system make a educated, fairly reliable guess at what language(s) I speak?". The positioning of the Launcher is a similar one, it's where it is because that's where other stuff isn't–position shuffling is not that interesting; instead it might be better to investigate from a higher-level design perspective if the Launcher needs to exist at all. Look at the wider puzzle rather than the narrow solution.

Adding options for the sake of it is bit like Henry Ford's "faster horses" quote:

  If I'd asked customers what they wanted, they would have said "a faster horse".

Ford successfully produced and marketed a product that the buyers had not imagined before. Suffice to say, horses still exist and have not been wiped out as a result, instead the provision has allowed horses to be optimised for their /current requirements/.

Bazon: What Mint have been doing with the GNOME 3 Shell MGSE extensions is quite interesting and it's pleasing to see additional Linux distributions start to take an interest in desktop design. Ultimately the work that both Mint and Ubuntu have been doing will roll back into a better desktop experience for Free Software desktop users in the long-run, as the various open projects and research cross-percolate.

Mark Shuttleworth (sabdfl) wrote :

On 08/11/11 19:31, kfsone wrote:
> However: The direction and changes of 11.x *suggest* to us that Ubuntu
> is swapping from desktop to sub-desktop focus for it's primary
> distribution.

No. What's happening is that the new form factors are being integrated
into Ubuntu, just as they will be integrated into MacOS and Windows.
We'd just like to be ahead of the curve. Some day, you will be able to
carry a phone, and dock it to a keyboard, mouse and display and use it
as a full desktop with all your apps and data. Or use it as a tablet, in
a different dock.

Mark

Benjamin Kerensa (bkerensa) wrote :

As a Ubuntu Member and Contributor I have to say that it saddens me to see so a "heated discussion" in the bug tracker and I personally feel that Community engagement is better here than any other distro or FOSS project. I understand some people are up in arms about Unity and usability issues and that there are some who have chosen to leave the community over the introduction of Unity.

I personally am a Gnome2.32 fan and love simplistic panels and I swore for many months I would never use Unity as a full time desktop and even considered moving to Xubuntu but in the end I noticed that a lot of people I respect (Hardcore Devs) were making the plunge with little or no complaint and I gave Unity a spin and now it is what I use by default. I'm still concerned that Unity is not nearly as customize-able as Gnome2.32 but it is a young product and needs nurturing and growth before we can expect it to be as flexible as other Desktop Environments.

In closing I think there can be much done to optimize the Ubuntu development process and perhaps even our community as a whole after all that's what we call progress and sometimes progress takes time.

Mike Taylor (miketaylor2020) wrote :

I would like to thank Mark Shuttleworth for his straight talking which has cleared the fog in my head. For weeks I have been using (fighting) Unity with a blind faith that it will refine into a likable and productive Desktop UI that smallish businesses would be seduced by consequently buying into Cannonical support. Finally I now realise that Unity is not aimed at such productive Desktop PC users and it is time for me to give-up fighting it. As Mark Shuttleworth said, there are other options available under the Ubuntu umbrella. I am staying with Ubuntu but moving to 'Ubuntu Classic with no effects'. Classic is clean, fast, unobtrusive, readily adaptable. Everything a UI should be.

Hello all,
I must admit that was the most interesting mailing list I ever read. What was the outcome of it? Nothing, nothing at all.

I am very disappointed that people cannot tell the difference between a community and a company. Is not accident that Mr Shuttleworth mentioned Android and Windows as a paradigm. Should be 100% transparency on a company product ? Obviously not. Community should know the company decisions? Only on a very basic point.

Mr Shuttleworth is a selfish and clever guy. What he misses? Vision. To be more honest he has vision, but his ego blinds it. His realism blinds his fantasy. I am not accusing Mr Shuttleworth for nothing, the opposite I admire what he has achieved so far. But I was wondering, is Mr Shuttleworth the best man to take design decisions?

The real bug on Unity isn’t the transparency on its design, but the design of Unity its self. Unity on my unimportant opinion is a bad product comparing to g-Shell & on Windows 8 interface. I won’t mention the reasons (I guess even Mark knows them), instead I will give the solution.

Mr Shutteworth fork Gnome-Shell, and make your Unity this way. Is some ridiculous the fact (or excuse) that you cannot move dash because it involves to much work. Use shell, it is easy there, and keep on mind, is never to late to change your decision.

If Unity hadn’t the huge Ubuntu user-base behind it, would be a dead project by now. But Mr Shutteworth please please don’t count on user loyalty so much. I’m one I left Ubuntu (after 6 years) because of version 11.04 and I personally know about 20 more people.

Well for me the software development policies of Canonical are quite right and straitforward, Ubuntu is superb, Unity is bad.
And as Mr Shuttleworth said, if you don’t like it, don’t use it. It’s fair enough :)

Regards,

- alex

Tal Liron (emblem-parade) wrote :

Here's a recent Slashdot writeup of the situation, with many great comments as usual (a.k.a., "whining"):

http://linux.slashdot.org/story/11/11/11/1752226/linux-mint-the-new-ubuntu

It's a depressing read.

(Also, of course, sensational: there's no actual proof that Ubuntu users are switching to Mint in droves.)

Again, I don't think any fault here is Unity itself, which I am convinced is a terrific and well thought-out shell, but in the abject failure of the Ubuntu project to satisfyingly explain Unity and its evolution to Ubuntu's own community of users.

Dwayne Litzenberger (dlitz) wrote :

On Wed, Nov 09, 2011 at 07:41:38AM -0000, Mark Shuttleworth wrote:
>On 08/11/11 19:31, kfsone wrote:
>> However: The direction and changes of 11.x *suggest* to us that Ubuntu
>> is swapping from desktop to sub-desktop focus for it's primary
>> distribution.
>
>No. What's happening is that the new form factors are being integrated
>into Ubuntu, just as they will be integrated into MacOS and Windows.
>We'd just like to be ahead of the curve. Some day, you will be able to
>carry a phone, and dock it to a keyboard, mouse and display and use it
>as a full desktop with all your apps and data. Or use it as a tablet, in
>a different dock.

So, if I understand correctly, you're saying that there will be *one*
interface that will work across tablets, phones, and desktops? I certainly
hope not, because tablets, phones, and desktops are *physically* different
interfaces. It's like trying to emulate a mouse with a joystick, or vice
versa---it's possible, but it just doesn't work well.

A keyboard and mouse provide a very rich physical interface. Tablets and
phones offer more portability at the cost of a more restricted physical
interface. I don't *ever* want to have those restrictions when I'm using a
keyboard and mouse.

Trying to force different physical interfaces to use the same GUI is dumb.
At best, it'll be a lowest-common-denominator that never helps users kick
ass[*].

The KDE folks have a much more promising idea:

     https://en.wikipedia.org/wiki/Plasma_%28KDE%29

The idea is to let the same applications use different interaction models,
depending on what kind of workspace they're running on.

[*] http://headrush.typepad.com/creating_passionate_users/2005/05/users_dont_care.html

Paul Sladen (sladen) wrote :

Alex: It's probably useful if you spell out what you've discovered that is broken about Unity and needs looking into (I'm so, I'm not a mind reader—so even if you feel that both yourself and Mark know the item you have in mind, myself and others following likely don't know).

A lot of the time, what Mark is doing is breaking deadlocks (aka "making design decisions") are in the circumstances when a data-driven solution has not been forthcoming.

Dwayne: yes, separate interaction models is what eg. Unity and the rest of the interface already do. You have different interaction models for different situations. So in Unity you move the mouse leftwards to open the Launcher, but with multi-touch you use a gesture that is a swipe *rightwards*. Similarly, for a PDF reader like Evince, you click little buttons for Zoom/Rotate with a pointer, but with multi-touch you just interact with the content area directly. This is why the overlay scrollbars are there: they are a user-interface element that /can/ be used with a pointer, but which then only appears in a passive (feedback) mode when using multi-touch for interaction directly with the canvas/content, and occupies the least about of real-estate in doing so.

Allison Randal (allison) wrote :

This comment is written with love.

A bug report isn't the best place to work through relationship issues, but this comment thread is unhealthy enough that I don't want to leave it standing as-is. Just a brief note here, but what really matters aren't words but actions over time.

The Ubuntu community (and I include Canonical as part of that community) has fallen into some unhealthy habits. We've been together for 7 years now, and over the years we've started to take each other for granted. For the community to survive, and for Ubuntu to succeed, this has to change. I was greatly encouraged by UDS-P two weeks ago. For those who didn't attend: things are changing around here, for the better. As one concrete example, we're starting up a team of volunteer designers to work on user journeys across the entire distro. The Unity designers have (joyfully, gladly, and with great enthusiasm) agreed to participate with this team, to share their knowledge and experience, and learn from the knowledge and experience of others in the group. Today, it's just the smallest seed, a tiny trajectory shift, but it's change in the right direction.

I have a different message for different parts of the community. For the Unity designers, my message is "come out and play, don't worry, they won't bite". And for everyone else, my message is "stop biting the Unity designers, you're scaring them away from open participation" and "if you see someone else biting the Unity designers, gently correct them and teach them how we collaborate around here". You see, communities only work when we *all* play our part in making them work.

I love the Ubuntu community in its entirety, both volunteer and paid. I'm not promising you that the next 7 years will be easy, nothing worth doing ever is easy. But I am promising this: if we work together, what we build will be absolutely amazing.

Tal Liron (emblem-parade) wrote :

@Allison

Great news!

I think most of us are confident that this bug will be solved, it's just that we're worried about the loss of momentum in the interim. Mark and others keep talking about the future, but I see no reason why some of the damage can't be addressed right now. Let's ensure that 12.04 will be greeted with hope rather than suspicion.

I would just add a touch of realism to your plea: the community *does* bite, always has and always will. It is by definition diverse in needs, wants, sensitivity and levels of civility (some of which is related to the especially multicultural composition of the Ubuntu community). Unity designers entering the fray, especially right now, are guaranteed to get some unpleasantness flung their way. I would say that the best advice for those wanting to engage the community is: develop a thick skin. Being offended is a choice: so choose that you will not get offended by any harsh words. Look behind the words towards the pattern of use they represent.

Dwayne Litzenberger (dlitz) wrote :

Allison: The problem expressed in this bug report is that every time a user complains about having a bad experience with the UI, the response has been, "WONTFIX". I don't see how your comment changes any of that. The fact that you characterize this thread as "unhealthy" just illustrates the problem with the attitude of everyone @canonical.com who has responded so far: You don't seem to value feedback from people who use Ubuntu every day.

Having users who care enough to complain is not "unhealthy"; it's valuable feedback.

I'm not expecting you to implement every half-baked idea that an angry user comes up with, but Mark has effectively said "we don't care about you" to the very people who use Ubuntu all the time. That's alienating, that's what this bug is all about, and nothing that's been said so far has indicated a change in that attitude.

einhverfr (chris-travers) wrote :

"@Community - It's only a matter of time until someone writes all those tweaks we're looking for."

I think the issue of community engagement though is important in fostering these. Hence my suggestion for a tag to basically treat them as feedback for Canonical's purposes and an invitation for contributions from the community. It's not clear from the responses whether making the launcher moveable to other edges would require forking Unity or just submitting patches. There's a huge difference between "won't accept patches on the matter because this breaks our design goals" and "this is a very low priority for us because it doesn't fit in with our project goals" and it isn't clear what MS's responses mean in this area.

einhverfr (chris-travers) wrote :

"Trying to force different physical interfaces to use the same GUI is dumb.
At best, it'll be a lowest-common-denominator that never helps users kick
ass[*]."

I generally agree with these points. Design your interfaces around inputs, and use different interfaces for different sets of inputs. Otherwise you end up with a race to the bottom.

Mark Shuttleworth (sabdfl) wrote :

On 13/11/11 21:24, Dwayne Litzenberger wrote:
> Allison: The problem expressed in this bug report is that every time a
> user complains about having a bad experience with the UI, the response
> has been, "WONTFIX".

That's simply not true. There are many bugs, including requests for
changes in behaviour, which get agreed. The issue here is NOT an
unwillingness to listen, on either the part of the developers or the
designers. The issue is a portion of the user base which describes
"won't fix my pet issue" as "won't fix any issue".

> I'm not expecting you to implement every half-baked idea that an angry
> user comes up with, but Mark has effectively said "we don't care about
> you" to the very people who use Ubuntu all the time.

Oh nonsense. We have actively sought out and fixed issues related to the
needs of longstanding and heavy users of the interface. There are lots
of blog entries from people saying 'Wow, Unity is the easiest shell to
navigate efficiently by keystroke', for example. That is not an
accident. Yes, there are scenarios we will not accommodate, but that's
not the same as a blanket 'we don't care about you'.

Mark

Bazon (bazonbloch) wrote :

If the phenomena Mark describes is right, it's a matter of selective perception.
So maybe it would be helpful to post some links to cases were canonical DID actually fixed usability issues by user request in order to calm the worried ones?

(But on the other hand, that won't calm too much as long as my pets issue isn't fixed [to stay in Marks words] ;-)
I think, that is the core of many complainants: reduced reliability. some things that worked before, doesn't work now. that shouldn't happen IMHO. and yes, blame Gnome, too.)

Download full text (4.9 KiB)

Mr Sladen (& Mr Suttleworth):
I know that your not a mind-reader as I know that you quite aware of the issues on Unity. However I will list some of them to you and I would much appreciate if you could give me straightforward honest answers.

I personally disagree with global menus, the movement of controls on the left, the integration of software center inside Unity, (and much more) but I have read the reasons behind it and I understood them. I won’t also refer on design-bugs like alt-tab, that “tabs” you on another workspace(what is the definition of workspace?), or bugs like not support for dual-monitors.

Also I ll try to be well-intensioned and to think that Unity came out at same date as GNOME3 randomly and you were honest that you couldn’t include GNOME 3 on 11.04.

Apart of these I have some simple questions

1. Why do you really used Compiz and Nux instead of Clutter and Cogl ? Matter of speed is out of question, plus Clutter is superior over Compiz. Don’t even mention documentation that is important for us. Why should to learn Compiz and Nux when most people know Clutter? So it was about licenses?

2. Why do you really broke up with GS? Was the global menus? Was the notifications? Why you just didn’t fork g-Shell the way you wanted? I know, and you know, it would be easier if you had used g-shell as base, and had built your system on it.

3. What really is the Music Lense? A video-clip is Music or Video for you? This is a minor thing, but it shows the whole concept of Unity. And this is, that Unity is for today, tomorrow is totally unclear to you..

4. How people can write plugins/add ons/extensions for Unity? Are you proud comparing your API vs Shell JavaScript API?

5. Do you know that Ubuntu dedicated Blogs talk more about Shell rather than Unity? Do you know the opinion of power users about Unity? Do you realize that power users give support for the rest of ones? Do you know that is US that we setup Ubuntu for our friends? You think that Canonical has the man-power to solve users questions and to write extensions for Unity? You think that Ubuntu is so strong brand name that can convince people it is the best option?

6. Don’t you think that Linux Desktop has already a strong diversity? If you don’t like Shell, say it straight, we developed Unity because g-Shell is bad or whatever, just make your points clear. I don’t mind that you created Unity. I don’t even mind that you have Unity as default. It bothers me the fact that you don’t have g-Shell installed and give the option for user to choose on lightDM. But most, it bothers me the fact that once again Canonical didn’t support a great product that Open Source developed, and this is GNOME3.

7. Is Unity the right approach for tablets? With Global Menus, and small buttons with a lot options that you hardly need and use? It was you that you advertise the ability of Unity to run both on Small, Big, and Touch Screens. Even the workspaces won’t work that way on small screens.

8. Have you put side to side GNOME 3, Windows 8 & Unity? Do you Mr Sladen and Mr Shuttleworth believe that Unity is prettier ? I ll tell you what I think. I think Unity looks like 5 years old techn...

Read more...

Mark Curtis (merkinman) wrote :

> That's simply not true. There are many bugs, including requests for
> changes in behaviour, which get agreed. The issue here is NOT an
> unwillingness to listen, on either the part of the developers or the
> designers. The issue is a portion of the user base which describes
> "won't fix my pet issue" as "won't fix any issue".
Can you provide some examples of Unity UI changes that were reported by *the community* and then implemented? The only one I can think of was the whole Ubuntu Software Store -> Ubuntu Software Center and that's pre-Unity.

Also, is there some documentation about how Usability Testing is done? As you don't seem to value existing Ubuntu user's input for Usability Testing, they could do Usability Testing on people more familiar with Windows/Mac OS X and submit the results.

Reuben (reubenthum) wrote :

An interesting comment I've read from a Linux Pro Magazine post about this:

http://www.linuxpromagazine.com/Online/Blogs/Off-the-Beat-Bruce-Byfield-s-Blog/A-Disturbing-Dialog-About-Ubuntu-and-Unity/

A simple solution for Ubuntu

francesco44 Nov 05, 2011 12:08am GMT
I have been a happy user of Ubuntu for the last 4 or 5 years.

All of what I have tried, seen or heard about Unity does not convince me to say the least. But Mark Shuttleworth has the right to try to innovate, maybe that's is duty or his Karma. As I switched back to the LTS 10.04, i will eventually try to upgrade to the future LTS or install Mint or Debian.

This position of uncertainty regarding th future is not very comfortable. I am not alone in that case. We are a lot of "professionals", that is people with a demanding job (eventually in research, university or teaching..or industry...) and not necessarily "power users" who need an efficient OS, stability, continuity. We have not the time, usually, to "play" with a new interface, nor to "try" it for the pleasure of knowing if we like it or not. For many of us, when we adopted Ubuntu, there was some kind of a "silent contract" between us and the Ubuntu community. The type of contract that Debian, or the Linux Foundation has with the community: seriousness and continuity.

Reading the answers to that questions (continuity) by Jono Bacon and Mark Shuttleworth in different blogs gives the bad impression that these "professional users" are left in the middle of the river. "If you do not like Unity, there is plenty of other distros that might satisfy you". For me this is not a very "professional" answer. What will be the next whim of the Canonical team? If I was in charge of 1000 computers in a university or any community I would think twice before installing Ubuntu.

If Mark Shuttleworth wants to keep the reputation he has, rightly, gathered for the development of Ubuntu, he would rather listen to people who followed him and also participated in the extension of the community. And above all he would secure and eventually promote a simple interface (like Gnome2) for the sake of continuity and stability. This is not too complicated as many participants of this debate have illustrated.

The interest (and certainly the financial interest) of Canonical, Ubuntu and the community is without any doubt to "care" of the people who followed you and not to try to discourage them. It would be sound to listen of the innumerable voices who criticize Unity, usually for the same reasons. If Mark Shuttleworth was really confident in Unity...he would provide the necessary continuity of a "Gnome2" equivalent desktop....and he would just wait for "hard boiled power users" to be convinced by his new UI.

Tal Liron (emblem-parade) wrote :
Download full text (3.3 KiB)

@Reuben

Again and again people forget the "other Ubuntus": Kubuntu, Xubuntu, and -- hopefully soon -- Lubuntu. They are very much supported by the Ubuntu project and by Mark personally. It's curious that when people are disappointed by Unity they turn not to the "other Ubuntus" but to other operating systems entirely.

What is the conclusion? Apparently, supporting alternative "official" Ubuntus is not working well. Either the community doesn't care for these, appreciate them, or just has very low expectations (after being burned by the "main" Ubuntu) and won't give them a chance.

The Ubuntu project may need to do a better job at raising the profiles of these. But, even the ability to use GNOME Shell instead of Unity is often overlooked, and it's right in the box. So, what's the problem?

I tend to think about usability problems in the simplest terms. What would work for me is this: when you turn on your Ubuntu computer, and are ready to login, you are greeted with this screen:

"Welcome to Ubuntu!

Ubuntu comes with several desktop experiences to match the diverse needs of its community of users. You need to pick one now, but know that you can always logout and try a different one. We recommend trying them all, and welcome your feedback on each.

* Unity: If you don't know where to start, try this! It's polished, fuss-free, and can satisfy those who prefer the mouse and also those who prefer the keyboard. Unity does its best to stay out of your way and keep you focused on your work and play. Unity is currently a work in progress, but millions of users consider it done. Please let us know how we can improve it! Note that at this time Unity has limited support for multiple monitor setups.

* XFCE: A friendly variation of the classic desktop. Recommended if you've used computers for years and don't want to change your habits.

* KDE: The most advanced integrated desktop environment in the world. Enough said!

* LXDE: Another lean and mean variation of the classic desktop, optimized for older computers. Also recommended for users seeking the most lightweight desktop.

* GNOME Shell: Another innovative attempt to simplify the desktop paradigm. Very mouse-friendly.

Check this box [x] if you don't want to see this message again. You can always click on [button] to select a different desktop experience when you login."

Of course, I don't expect the base Ubuntu install to include all desktops, but it shouldn't be hard to install them off the Internet when the user selects them. All flavors of Ubuntu could come with this welcome screen, whatever their base desktop experience is.

It's not too easy to accomplish: right now, the desktop meta-packages also pull in a lot of default apps (browsers, word processors, games, etc.), which would make it far too heavy to easily switch. So, there need to be simpler meta-packages that only install the shell and let you keep the apps you are already are using. This will mean more work to maintain them. But, I would suggest that maintaining these packages might be a better idea than maintaining separate "other Ubuntus" officially.

If Ubuntu can deliver such an experience, and make sure that each of the desktops...

Read more...

Bazon (bazonbloch) wrote :

@Tal#91:
Very good suggestion! Even on ubuntuforums.org I read about people dualbooting between different tastes of ubuntu instead of just selecting another DE in the DM.
Also, (as I said before), I'm very happy with Xubuntu+Compiz+Ambiance, so I suppose that or other DE-options could be a solution for other not happy with unity.

Tal Liron (emblem-parade) wrote :

@Bazon

Thanks! As I keep trying to emphasize, I did not open this bug because I think Unity is bad, nor because I want Unity to be something that's it not supposed to be, nor because I'm unaware that there are many other terrific free software alternative, in Ubuntu and beyond.

This bug is not about the software. This bug is about making the Unity project more welcoming -- or at least less alienating. Too many people feel that Unity has been shoved down their throats. Too many people feel that they have been tricked into being beta testers. Too many people feel that their legitimate complaints, suggestions and even patches are unwelcome. Too many people, who have devoted years of "outsider" effort to promote Ubuntu are feeling like Ubuntu is treating them more as a nuisance than a boon.

Mark keeps listing the very convincing reasons for all of this, that are beyond Ubuntu's control: it's not Ubuntu's fault that GNOME 3 did not offer a GNOME-2-like fallback experience at the same time as Oneiric came out; Ubuntu can't please everyone and Unity must remain focused in order to maintain quality moving forward; there's simply not enough time to answer every single complaint. That's all true. But it doesn't make our sense of alienation any less legitimate.

On the other hand, it may not be Ubuntu's responsibility to fix this situation. Moreover, the sad fact may be that it's just not a priority: perhaps we, a few loudly unhappy members of the Ubuntu community, are deemed expendable. At the time of this writing, this bug is still marked "new," "unassigned" and of "undecided" importance. I'm sure we're just counting the days until it is closed as "won't fix."

Oh, well. I'm willing to admit that I'm blowing a lot of hot air here over nothing at all. This might just be a time of difficult (and necessary?) transition, and by 12.04 Ubuntu will ship to broad popular enthusiasm on all fronts: from people who have never been exposed to free software and are delighted by the purple-and-orange wonder, and from us old fuddy duddies who learned to use a mouse with Windows 95 and refuse to change our crochety habits. ;)

Sebastien Bacher (seb128) wrote :

Reading this bug I would like to point that webpage to people who care about design interactions and how the community and the unity team interact:
http://people.canonical.com/~platform/design/upstream.html

That page has been built to make design issues tracking easier, if you look at this page you can see lot of design issues which have been raised, reviewed, discussed and handed back for implementation to the different teams (unity, desktop, etc)

Those who claim that the design is not open to discussion should look at this page and the number of items on it to have an any of the load of requests landing on a small team and the great efforts that are made to have open and public communication (the current list of bugs which got some agreement between submitter and designer on what to do is over an hundred)

Sebastien Bacher (seb128) wrote :

So after thinking a bit about the discussion there I also went to check if "wontfix" without comment is such a trend, over 3 cycles of unity, some stats on unity itself (not counting the other unity components, not counting the bugs reassigned):

5475 bugs got reported (over 8000 counting duplicates), of which:

2087 bugs are still open
1606 bugs got marked "fix released"
98 bugs marked "wontfix"

some community members might have got unlucky on the requests they filed but those stats clearly don't support the "every time a user complains about having a bad experience with the UI, the response has been, "WONTFIX"" statement, the number of bugs fixed is over 16x times the number of bugs wontfixed, around 30 bugs closed this way as cycle for sure doesn't quality as "every time a user complains"...

Bazon (bazonbloch) wrote :

interesting link, Sebastien.
however, a random pick of the first 10 bugs listed in "unity" (all importance "high" or "critical") shows 7 of them were opened by John Lea from Canonical's Design team and those 10 bugs have 29 affected users in total, which makes about 3 affected users per bug. Even your own "won't fix" bug https://bugs.launchpad.net/unity/+bug/683170 has a higher number of affected users (34).
The total amount of affected users in the top 10 "won't fix" unity bugs is 555, which makes about 56 per bug.
 And there aren't only the "won't fix" bugs, there are also the left behind "undecided" bugs (like my one: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/734253)
Instead, it is cared about things like window shadows having a border of 20px (https://bugs.launchpad.net/light-themes/+bug/804328)...
doesn't make me soooo sure contact to users is very tight...

however, of course I appreciate work on real application bugs, thanks for that and keep on the good work.

Sebastien Bacher (seb128) wrote :

> however, a random pick of the first 10 bugs listed in "unity" (all importance "high" or "critical") shows 7 of them were opened by John Lea from Canonical's Design team and those 10 bugs have 29 affected users in total, which makes about 3 affected users per bug.

John is working for the Canonical design team and has been filling bugs, for example, about the issues that get noticed during the user testing sessions the design team is running. The users who participated are often not Ubuntu users or technical users and wouldn't file bugs by themself, so it's good that somebody does it for them ;-)

> The total amount of affected users in the top 10 "won't fix" unity bugs is 555, which makes about 56 per bug.

Nobody is denying that there are requests for those changes, but you can find lot of users requesting any change and often a non trivial number of users with a different or conflicting opinion ;-) Reality is that people are different and you can't just please everybody

> there are also the left behind "undecided" bugs

Right, seeing the number of bugs opened and the number of the people working in the unity team there is no way they could handled all the bug reports, they would need to put the team full time on it and that would probably still be enough (and no work would get done), that issue is probably true for any opensource (or non-opensource probably) project with quite some users (try looking at the GNOME bugzilla, the firefox bug tracker, etc).

Bazon (bazonbloch) wrote :

thanks for that information and helping to understand processes better. this is the right attitude to get rid of this bug. :-)

John Lea (johnlea) wrote :

@Bazon (bazonbloch); all bugs that are reported to ayatana-design are reviewed, however we currently have a 3.5 week bug backlog due to UDS so our response time at the moment is a bit slower than usual. We also will be doing a thorough review of all the historical ayatana-design bugs that have accumulated over the last couple of years, but this will take time as there are other pressures and this is several hundred bugs to review! We do spend a lot of resource on reviewing and triaging bugs, however the sheer volume of incoming bugs means that we can't always answer all the bugs and engage in conversations at the level of detail we would like.

Bugs that have developers who ready and willing to fix them will always jump to the front of the queue as our priority is making practical improvements and supporting active community developers. If there is a bug that you are interested in working on or fixing, please ping me on #ayatana or#ubuntu-design and I will do my best to either answer your question or direct you to the designer who is best placed to help.

Dwayne Litzenberger (dlitz) wrote :

On Thu, Nov 17, 2011 at 06:24:43PM -0000, Sebastien Bacher wrote:
>Nobody is denying that there are requests for those changes, but you can
>find lot of users requesting any change and often a non trivial number
>of users with a different or conflicting opinion ;-) Reality is that
>people are different and you can't just please everybody

You're absolutely right: You can't always please everybody; you have to
prioritize. What worries me is that Mark Shuttleworth has stated, fairly
explicitly, that Ubuntu users are not a priority:

>>Speaking of usability tests:
>> I see at least two problems regarding the community and communication within
>> the usability tests:
>>
>> 1. No ubuntu user was included. Only 13 Windows users, 1 Mac user and 1 user
>> who uses both Windows and MacOSX. http://design.canonical.com/2010/11/usability-testing-of-unity/
>> --> Unity is in fact not developed for the ubuntu community.
>
>Ubuntu aims to deliver "Linux for Human Beings". On that basis, the
>selection of test subjects is entirely appropriate.
[snip]
>We have about 20 million users today. We want 200 million users by 2014.
>The extra 180 million users are not in the Ubuntu community today, so
>you can in a sense say that it's true - Unity was not developed for the
>Ubuntu community of today, it was developed with love for the Ubuntu
>community of the future.

That's so brain-damaged that I'm still in denial about it, despite my own
bad experiences, and despite the words being right there for all to see.
How could anyone think it's possible to develop a great interface without
actually paying close attention to the people who spend countless *weeks*
actually using it? It doesn't make any sense.

Mark Shuttleworth (sabdfl) wrote :

On 19/11/11 04:46, Dwayne Litzenberger wrote:
> You're absolutely right: You can't always please everybody; you have
> to prioritize. What worries me is that Mark Shuttleworth has stated,
> fairly explicitly, that Ubuntu users are not a priority:

Hold on a sec. You're extrapolating from the fact that we run usability
tests on non-Ubuntu users to the idea that we somehow don't care about
Ubuntu users. That's nonsense: Unity is user-tested every day by all the
engineers working on it, and all of the Ubuntu community, who between
them file thousands of bugs, of which thousands get fixed.

Linux has always been tested by Linux users. And we have tools to learn
from that testing and improve. This tool, the bug tracker, is one of
them. And Sebastien has shown how amazingly well the needs of people who
use bug trackers are being served.

There are many people who use Linux heavily who describe Unity as the
best thing that happened to their interface. You may not be one of them,
but to deny their existence is to exclude yourself from the realm of
reasonable discussion.

> That's so brain-damaged that I'm still in denial about it, despite my own
> bad experiences, and despite the words being right there for all to see.
> How could anyone think it's possible to develop a great interface without
> actually paying close attention to the people who spend countless *weeks*
> actually using it? It doesn't make any sense.

As Sebastien showed, the team does pay close attention to the needs of
those users. They just don't always fix the particular issue that might
be trouble *you*, *first*. Now, please choose between constructive
participation, helping to fix the issues where we are in perfect
agreement on the issue and the fix, or going elsewhere. There are many
areas where Unity can be improved, where your idea of an improvement and
my idea of an improvement are completely in sync. I would ask you to
help get those things done, and I'm sure the result will be satisfying
for you.

Mark

Randall Ross (randall) wrote :

This discussion could be much more effective if we agree to get *precise* about which "Community" we are referring to.

"Community engagement is broken" is much much too general a bug to fix. It's like saying "Ubuntu is buggy".

Can we agree to get more *precise* in this Precise cycle? More here: http://randall.executiv.es/uds-p-12

"Engagement between the Ubuntu-enthusiasts Community and the Ayatana Design team is broken" might be a better bug title and might lessen the swirl... but that's just a guess.

Community is this huge, nebulous cloud. And, to Mark's point we cannot realistically expect to design Ubuntu (the OS) for everyone who might be a part of the "community" and it's millions of outposts.

Tal Liron (emblem-parade) wrote :

@Randall

Good point, and a helpful intervention.

Individuals might define their community differently, but piecing together the many voices, and applying some of your language, I'd say that "community" here means:

"The current set of long-time, heavy users, as well as advocates, of Ubuntu's main distribution line (as opposed to Kubuntu and Xubuntu)."

I think the term "user" can also be blown up a bit: it includes a diverse mix of home users, computer enthusiasts, people who work in enterprise IT, and who build, deploy and support software on top of Ubuntu. And they each offer a different flavor of concern and criticism.

I emphasized "long-time" because it seems that this community has already seen some of Ubuntu and free software desktops evolve, enough that they can articulate an informed opinion about the process. And I emphasized "heavy" because I imagine most light users would be more likely to take a wait-and-see approach rather than participate. Their stakes are lower.

And that's my main point: I believe that this community has real stakes in Ubuntu's future, in some cases backed by real money, possibly a lot of it.

And I believe that perhaps these heavy users have been discounted. Possibly for good reasons, as they are weighed down with past bias, outdated habits and legacy applications. But, I'll also point out that Microsoft has been a great choice for enterprises for a long time, specifically due to their proven commitment to the legacy userbase.

Ubuntu's LTS commitment is one great way to do the same, but the devil is in the details. Recall how long it took Microsoft to push NT technology through: a few attempts proved problematic (Windows NT 4), so they kept providing more OSes in the half-way legacy line (Windows 95, 98, Me) before the user community could meet them fully at Windows XP. You can have a vision, and it can be a great vision, but you can't force your community into it without disaster.

Will Ubuntu 12.04 be a Windows NT 4? A Windows Me?

A few people have pointed towards Linux Mint's refreshing (get it? mint?) attitude in this, as they have worked hard to provide a friendly, welcoming path of familiarity from GNOME 2 to GNOME 3:

http://www.linuxmint.com/rel_lisa_whatsnew.php#gnome3

That short paragraph there sums out very elegantly everything I've been trying to put forward here.

Perhaps Ubuntu should package and ship MGSE with 12.04 for its GNOME Shell login session. Or perhaps MGSE should be remixed to work as Unity plugin instead of a GNOME 3 plugin.

Israel G. Lugo (ilugo) wrote :

I would like to humbly quote from someone who once made a very passionate argument for diversity, openness, and knowing how to embrace different ideas from the contributor and user community in a project:

> This is a critical juncture for the leadership of Gnome. I’ll state
> plainly that I feel the long tail of good-hearted contributors to
> Gnome and Gnome applications are being let down by a decision-making
> process that has let competitive dynamics diminish the scope of Gnome
> itself. Ideas that are not generated “at the core” have to fight
> incredibly and unnecessarily hard to get oxygen. Ask the Zeitgeist
> team. Federico is a hero, but getting room for ideas to be explored
> should not feel like a frontal assault on a machine gun post.
>
> This is no way to lead a project. This is a recipe for a project that
> loses great people to environments that are more open to different
> ways of seeing the world. Elementary. Unity.
>
> Embracing those other ideas and allowing them to compete happily and
> healthily is the only way to keep the innovation they bring inside
> your brand. Otherwise, you’re doomed to watching them innovate and
> then having to “relayout” your own efforts to keep up, badmouthing
> them in the process.

-- Mark Shuttleworth, 2011-03-10, http://www.markshuttleworth.com/archives/654

It is a shame that the same thoughts are not applied to Unity itself. It would certainly be nice to see ideas not generated at the [Unity] core not being shot down like soldiers charging against a machine gun post. It would have been nice to see something positive come out of this discussion, which was clearly started with a positive intent and with the goal of improving the overall product and experience for all concerned.

Just because there exist hostile and self-entitled people who flame and tear down everything without cause, that does not mean that everyone with a different idea is like that.

Didier Roche (didrocks) on 2011-11-22
Changed in unity:
status: New → Confirmed
Benjamin Kerensa (bkerensa) wrote :

It would be much more "precise" to change status to "opinion" since there is a difference of opinion surrounding this bug.

Changed in ubuntu-community:
status: New → Opinion
Changed in unity:
status: Confirmed → Opinion
Changed in unity-2d:
status: New → Opinion
Changed in unity-2d (Ubuntu):
status: Confirmed → Opinion
Changed in unity (Ubuntu):
status: Confirmed → Opinion
Changed in ayatana-design:
status: New → Opinion
mdsklaroff (mdsklaroff) wrote :

I think this is a pretty evenhanded summary of how the problems/bugs with Ubuntu affect the community, and why Canonical should care more: http://ubuntuforums.org/showthread.php?p=11352664#post11352664

SRoesgen (s-roesgen) wrote :

Just have a look. Here one can see how dealing with a community can be done easily.

http://www.omgubuntu.co.uk/2011/12/gnome-shell-extensions-site-enters-alpha-makes-adding-extra-features-easy/

Especially that part hits the mark:
This is despite the fact that many of the extensions presently available are at odds with the GNOME Shell design philosophy; GNOME are nevertheless throwing weight and resources behind catering to those users who want them.

Why isn't this possible for Unity. A Software Center section which offers add-ons to "Unity" (and not only Scopes and Lenses). And if this is perhaps planned for the future, why isn't it communicated to the Ubuntu community?

This would solve many problems. If you had such a section in the Software Center, and if there wasn't any need to activate it or to first add a new PPA, then this whole bug (882274) could be seen in a different light. Offer the community developers a section in the Software Center a section to offer tweaks and plug-ins for Unity. A section, which can be easily reached, without the need for the average user to add a new PPA.

I think Mark's general undertone of comments like "Unity was not developed for the Ubuntu community of today, it was developed with love for the Ubuntu community of the future. You're invited to that community, but not required to join it" and his dogged unwillingness in this bug thread to accept that there are any problems with general community engagement and transparency only serves to reinforce Tal's point(s).

Personally I like Unity, but I do take issue with the way Canonical seems to dismiss its users. The 'my way or the highway' attitude that Mr Shuttleworth has displayed towards anyone who raises questions about Unity (and to a lesser extent the Ubuntu community as a whole) is at the very least insulting. Disregarding any portion of the 20 million you (claim) to have, for the promise of a theoretical 180 million seems to me a be a very dangerous game to play for a fledgling company.

seems to me to* be a

Mark Shuttleworth (sabdfl) wrote :

On 03/12/11 01:38, Jonathan Gartner wrote:
> Disregarding any portion of the 20 million you
> (claim) to have, for the promise of a theoretical 180 million seems to
> me a be a very dangerous game to play for a fledgling company.

If you take a look at Sebastien's analysis of bug statistics, you'll see
we've fixed 16 bugs for every 1 we've declined to fix. That's amazing.
Given that it's well established that one cannot create a great product
if you try to be all things to all people, don't you accept that there
will be some suggestions and opinions we should not pursue?

And would 1 in 16 be about right? Or is it too low? Or too high? On what
basis would you make that assessment?

If you agree that there should of necessity be some bugs we will not
fix, who do you think should decide which of those suggestions or
wishlist items should be in, and which should be out? Don't you think
the underwriters, designers and developers of the project should have
that right? That this will result in the best product? If it's not them,
who should it be?

Say it's 1 in 16. Accepting that we have 20 million users, many of whom
are strongly opinionated about technical matters, would you expect to
see a lot of traffic on those few issues which, for whatever reason, are
wontfix? I would.

In the light of all that, is the fact that there are a very few bugs
which are wontfix, and which have a great deal of noise about them, so
surprising? Is it really a sign of a poor community engagement? Would a
poor community engagement not rather be hallmarked by a total silence
from me and others?

Instead, you have:

 * more activity on the public Ubuntu and Unity design lists than on any
other free software project design
 * greater responsiveness on bugs (in the sense of participating in the
discussion, not automatically saying yes) than elsewhere
 * participation by me, other designers, and senior engineers
 * a very high ratio of bugs fixed, relative to other free software projects

Now, in that light, you are welcome to draw your own conclusions. My
conclusion is that we have a dramatically open process, a healthy debate
and discussion, and an equally healthy mechanism for making decisions
and putting them into action, which is what the free software community
needs.

The tagline for the founding of Ubuntu was "Linux for Human Beings".
That was startling at the time because it said precisely the opposite of
what you are suggesting; it said that the average human being is more
important to us than those who Linux has served in the past; those are
the values that attracted the people who actually build Ubuntu - all of
it, from Unity through the server release and Kubuntu and Edubuntu. You
are welcome in this community, but not welcome to redefine its mission
to suit your needs.

Mark

SRoesgen (s-roesgen) wrote :

Referring to this answer:
>If you agree that there should of necessity be some bugs we will not
>fix, who do you think should decide which of those suggestions or
>wishlist items should be in, and which should be out? Don't you think
>the underwriters, designers and developers of the project should have
>that right? That this will result in the best product? If it's not them,
>who should it be?

Again: if there were the same solution for Unity that is now implemented for Gnome Shell, this discussion would be obsolete. Nobody could be complaining about won't fix bugs, because there would always be the possibility to write your own patch and make it available as an installable extension.
But then we would need such a place in the Sofware Centre (instead of dozens of PPAs). Offer those, who complain about the "won't fix" situation, the possibility to simply upload their patches if they are willing to write them. Make these patches not default, but make it easily possible to install these patches via the Software Centre. But to not offer that possibility, though some people are willing to write those patches (or already have written those patches) and to deny them the possibility to thus participate in the community, though they are willing to do their share, that is what I call hypocritical. No average user would install a PPA and thus no average user has the opportunity to decide if he/she would like some of the patches which modify Unity because he/she cannot try these patches. A section in the Software Centre which is easily reachable would be a solution.

Nobody expects Canonical to invest money to pay developers to program solutions which are not on the agenda. Those who pay the developers decide what should be programmed. BUT you cannot and must not deny anyone the possibility to participate. Otherwise this is NOT community and this is NOT anything for human beings. Then it would only be Linux for Canonical beings. And you can really say then "canonical beings" or "Canonical beings". A canon defined by those who pay the developers and designers, a canon defined by Canonical.

So, what about the simple question of a section in the software center which reads "Unity Extension"? Not "Unity Indicators", not "Unity Scopes and Lenses". There are some who want more than just some fancy new icons and filters for their searches. And some of them already have implemented their own solutions and would perhaps like to offer them. Many people do not want to use dozens of PPAs just to be able to modify some simple things. Nobody expects you to invest money or developer power into those things. But make it possible that the work of those people who invest their time can be appreciated.

Tal Liron (emblem-parade) wrote :
Download full text (4.8 KiB)

Mark,

You keep putting the blame on a straw target: people who refuse to accept that their one pet bug is not being addressed. Sure, those people exist, and you attitude concerning them is correct, if too abrupt in tone. But, looking at the vast majority of the comments on these bugs, the substance of the complaint seems entirely different: a strong sense of being left behind by Ubuntu.

And, you keep going back to the same line of defense: the statistics. You're proud of the 15/16 number, for good reasons.

But it's all about the substance of these bugs, not the number of them, and the way in which they are being closed. (Which is the line of defense that *I* keep going back to...) It's not that you're saying "we can't fix this," it's that you're saying, quite explicitly: "We won't; and we won't accept patches; and we won't acknowledge the underlying problems; and we won't offer alternative solutions; and we won't tell you what our plans are, if any, that disallow this; and we won't tell you why."

In GNOME 3, they can close a bug by saying "Well, this is outside of our vision, so it's better handled as an extension." And now they're even actively endorsing these extensions, with an impressively friendly site. But, there's no such thing as Unity extensions.

(There is such extensibility when it comes to application indicators, another part of the Ayatana umbrella, and there's indeed a healthy community effort to develop more and more of these, many which solve usability problems inherent in the default desktop experience: for example, a "classic" menu for those who find it hard to use the Dash with a mouse. It would be nice if Ubuntu engaged these devs and integrated indicators better into Ubuntu, like GNOME has. But, remember, I opened the community engagement bug originally for Unity, and it's there that the problem is most severe, for technical as well as project-management reasons.)

Moreover, I think I can safely say that there will not be Unity extensions. That would fly in the face of everything you said about programmer availability, testability in the long run, etc. Opening the door to extensions, with a supported open-ended API, seems far more problematic than merely allowing the Launcher to be movable. I would be very surprised, pleasantly so, if this would ever become a priority. An extension API *is* community engagement in the most material way.

Pavel Golikov is an unsung Ubuntu hero, and I doubt he will be acknowledged as a hero by the Mark and other insiders. He is the sole person behind the fork to allow the Launcher to be movable to the bottom:

https://code.launchpad.net/~paullo612/unity/unityshell-rotated

Look at all those commits! But, it's doomed to fail, and we all know it: he will not be able to always keep his fork well-merged with the Unity trunk. Forks are great in many cases, but this is exactly that situation where you want to keep the main binary intact and allow for extensions. But, Golikov did not stop at the "won't fix". He saw a community need, and stepped up to the plate on his own time.

I've been following the multiple-monitor issue as closely as I can as an outsider, and I still have absolutely no ide...

Read more...

kikl (kilian-klaiber) wrote :

Well, I have followed this lively debate and it seems somewhat unproductive. We users must accept that the design is not going to go our way. "Won't" fix is a somewhat hard wording. Maybe something like, "we won't do it", because we do not have the ressources, please do it yourself or find someone who does it for you - maybe something like that would have smothered the flames (pun intended).

I find it extremely pleasing that the lead designers actually do talk with the community. I don't remember any windows designer talking back to me... So we just can't expect Mark and canonical to cater to each and everyone's needs.

I would like to say a few words from a user point of view to the two bugs that were linked to the original bug report.

1. "option to configure Unity launcher placement"

I really don't know any reason whatsoever, why users can't get used to the placement of the launcher. So now its on the left hand side instead of the bottom, so what? Is this impossible to learn? The user testing performed by Charline Poirier seems to suggest that new users have no problems adapting to the placement. In my mind this wish is merely fueled by habituation and nothing else. So in this sense I think Mark Shuttleworth's reasoning is completely justified. Don't waste any resources on this. Try to fix the real bugs.

2. "What I do miss in Natty ... is the possibility to click on the app. icon on the Unity launcher bar to minimize all windows of that application, not only to launch/restore it."

Mark has explained, why he doesn't want to implement this feature. It would appear inconsistent if the same button would at the same time display and hide an application. So he thinks that new usability issues would emerge if this were implemented. Point taken and he is probably right.

But, in this case one should ask: What does he really want to accomplish? He wants to display the desktop in a fast and simple way. At the moment, you either have to minimize all windows - which can be cumbersome - or use nautilus - somewhat unintuitive - or switch the workspace - also a little strange. Yes, it can be done, but these are all workarounds. A fast and intuitive way to display the desktop would be welcome.

Regards

Kikl

kikl (kilian-klaiber) wrote :

Oh, I forgot to add. All power users should merely use the keyboard shortcut "ubuntu-button" and "D" or "window ikon- AAHHRRG;-(((((" and "D", in order to display/hide the Desktop.

All the best. I think "Tal Liron" genuinely cares about Ubuntu. Don't loose him, he is a valuable contributor!

Regards

Kikl

Tal Liron (emblem-parade) wrote :

Oops! I'm embarrassed: in my previous comment (112) I refer to "the Mark." It is a typo; I simply meant "Mark." Unfortunately, the typo is suggestive of the angle of criticism that sees Unity as Mark's ego trip. I'll state clearly that I firmly reject such criticism. I see no evidence that any of the problems are driven by Mark or anybody else's inflated sense of importance.

All that's going on is the usual mess that inflicts large-scale projects: people get overly focused on their specific roles and cultivate necessary blind spots over other parts of the project. In this case, the blind spot covers Ubuntu's "early adopters" and their need for transparency. The only healthy way to deal with such problems is to bring them into the open, discuss them as broadly as possible, and have the leadership cultivate anti-mechanisms that intentionally shine light on the blind spots.

SRoesgen (s-roesgen) wrote :
Download full text (3.5 KiB)

First of all it would be nice to see here some answer to Tal's comment #112, which includes some very good and valid points. ANd I do not see any sane and logical way to ignore the arguments he gives. But where is the answer to the arguments he wrote?

Secondly, concerning kikl's comment (#113):
You think that one should be silent and not complain further if it comes to certain bugs. They are marked as "won't fix" and should not be discussed further. You do not understand the reason for any further discussion taking place?

Well, perhaps some people, like you and the "won't fix" party, should have a look at a couple of launchpad bugs. All of them have in common that they do have problems due to basic design issues . Obviously there was much thought on design in Unity planning, and less thought on more practical aspects.
The most important of these bugs is, in my opinion, bug 727171
(https://bugs.launchpad.net/ubuntu/+source/unity/+bug/727171).
Reading the comments in bug 857668 (https://bugs.launchpad.net/unity/+bug/857668) should offer some more interesting insights into the issues triggered by mere design decisions.
Further problems are described in bug 777241 and ... well let me stop here listing them all. Some of them duplicates, some of the smaller issues.

My problem is indeed not a design decision that led to a "won't fix" position concerning certain bugs. I can get used to many design decisions. The problem is
a) how these decisions are communicated
b) on what ideas these decisions are grounded/based

On the way of how these decisions are communicated you should only read Tal's comment #112. It was said that the launcher will not be moveable because it should be tied to the BFB. Now the BFB is part of the launcher but still the decision to not make the launcher movable stays . Ergo the explanation that the BFB and the launcher should be on the same side was a lie. And I am very sorry to put it that way, but to me it is and stays a lie unless I will hear some more thoroughly elaborated explanation to the community why the decision to let it be a "won't fix" bug stays.

So, my complaints are not about a single bug. My complaints deal with communication of problems and design decisions. they deal with the way the community is treated. I am not stupid. We are not stupid. Many people have not forgotten, what the initial explanation to not fix a bug was based on. But we are treated as if we had the memory capabilities of a fly. The community engagement is broken. And that is fact. Obviously we are treated as second class citizens, who need not be informed, who need not be able to have a look at design decisions and general agendas/plans.
It seems that some people forget that the users who use Ubuntu now for many years are those who helped spread the name of the distribution. Those who helped making it popular and who found bugs. Who filed these bugs. Those who talked about usability issues and pointed them out to the developers. And now, these users do not have the right anymore, to have their arguments heard and discussed on a base of equals? Now is suddenly the time when a design decision is always the ultimate argument, even thoug...

Read more...

Sebastien Bacher (seb128) wrote :
Download full text (7.6 KiB)

Hey again, I can understand where people from but all those comments overlook something easy and it goes down to that: "we don't have enough developpers to reply to every bug report, explain every change which is done, and talk to every community members in Ubuntu", the community is just an order or magnitude over the design,hackers base we have.

> But, looking at the vast majority of the comments on these bugs, the substance of the complaint seems entirely different: a strong sense of being left behind by Ubuntu.

Right, we are sorry about that but it's like any organisation (you can take governements as an example), while people in charge care (or should care, no need to sidetrack in politics ;-) they can talk to every single person they represent, it's not bad willing, it's just that one person can talk to millions of people individually

> It's not that you're saying "we can't fix this," it's that you're saying, quite explicitly: "We won't; and we won't accept patches; and we won't acknowledge the underlying problems; and we won't offer alternative solutions; and we won't tell you what our plans are, if any, that disallow this; and we won't tell you why."

Can you point to a bug where that has been said? I'm reading hundred of bugs every and I can say it's not what happen. Often design use "wontfix" saying that they ack there is an issue but it's not one that can be adressed in the coming cycles seeing the backlog we already have and the manpower to work on it. You can take the "dash screen should be customizable" as an example (bug #885738) where John took the time to explain:

"Given the time and resource constraints we have to work with, and also because 12.04 is a LTS (for LTSs we try to avoid introducing major new functional areas), it will not be possible to build a great Dash home configuration story in this cycle. However if (and it is a big *if*) we get the time/resource to look at this area in the future, we will review this thread and use all the valuable input and ideas yourself and others have provided to help to kick off the design process."

> In GNOME 3, they can close a bug by saying "Well, this is outside of our vision, so it's better handled as an extension." And now they're even actively endorsing these extensions, with an impressively friendly site.

Let's not get sidetracked on that, it's not fair to judge the Unity project as not open because its code based has not beeing designed to be modifiable at runtime the way gnome-shell has. While it's great and some users will love it, it also has drawbacks (talk to the mozilla guys about how much complains they are getting about firefox stability which are not due to bugs in firefox but in third party code, having a way to "hack" your shell is also not a replacement for having a good usable experience by default)

> Look at all those commits! But, it's doomed to fail, and we all know it: he will not be able to always keep his fork well-merged with the Unity trunk. Forks are great in many cases, but this is exactly that situation where you want to keep the main binary intact and allow for extensions. But, Golikov did not stop at the "won't fix". He saw a community need,...

Read more...

Sebastien Bacher (seb128) wrote :
Download full text (5.0 KiB)

@s-roesgen

> First of all it would be nice to see here some answer to Tal's comment #112, which includes some very good and valid points.

done

> You think that one should be silent and not complain further if it comes to certain bugs. They are marked as "won't fix" and
> should not be discussed further. You do not understand the reason for any further discussion taking place?

Well first design is not using "wontfix" as "we will never ever fix it" but as "it's not something we plan to address in the near futur", which often comes to a priority handling game. Now maybe we could make that clearer when closing bugs and saying the issue might be revisited in the futur but is not scheduled for the next iterations.

Do you also have example where bugs got "wontfix-ed" without comments on explanation? My experience is that often there is a comment or description update going with those.

One other thing worth noting is that bug suggesting a solution rather than explaining the issue are harder to deal with with design.
Often users ask for something to be made similar to what they are used to without trying to explain why it's better than the currernt way or what limitation they are hitting. Change can be hard but you don't design a great experience by copying old ways, you try to focus on the problems and the best way to solve them. Yes it makes harder the transition but it should also make better the experience after that.

> Well, perhaps some people, like you and the "won't fix" party, should have a look at a couple of launchpad bugs. All of them have in common that they do have problems due to basic design issues . Obviously there was much thought on design in Unity planning, and less thought on more practical aspects.

There is "won't fix party", there is a ridiculisly low number of "wontfix" bugs on Unity as the stat I gave before show, we should try to stop focussing on that. And yes, lot of the current unity has issues,

http://people.canonical.com/~platform/design/ points that hundred of usability issues have been identified, a good part has suggested solutions but needs to make its way to the code.

The number there can be impressive but those are mostly bugs, then you hit lot of things that the design team didn't have time to properly think about or design yet. the multiscreen usage being one which just started being worked and is scheduled for this cycle.

> The most important of these bugs is, in my opinion, bug 727171

Just as side note, this bug has been opened by one of the Canonical engineers working in the Unity team ;-)

> Reading the comments in bug 857668 (https://bugs.launchpad.net/unity/+bug/857668) should offer some more interesting insights into the issues triggered by mere design decisions.
> Further problems are described in bug 777241 and ... well let me stop here listing them all. Some of them duplicates, some of the smaller issues.

Right, those are known issue and will be addressed this cycle, they didn't get worked before for a simple manpower reason.

> My problem is indeed not a design decision that led to a "won't fix" position concerning certain bugs. I can get used to many design decisions. The problem is...

Read more...

> No, it's just that we don't have enough people to do the work
> and the number of users is higher than the number of people
> reading and replying to bugs filed by those users, it's as simple
> as that

This is where code re-use comes in quite handy; rather than reinventing the wheel. gnome is good. Put a light layer on top of it (that requires minimal developer intervention to maintain) to make it better.

Danillo (danillo) wrote :
Download full text (6.5 KiB)

I'm just an Ubuntu user (been one for 3 and a half years) who believes in the "Debian's arrow" and its philosophy and wants to see free software everywhere, and I would like to add that contrarily to what some people have been saying I am one of those who think that keeping Compiz and going for Unity are the best things that have ever happened to Ubuntu. Unity is the sole reason I upgraded from 9.10 to 11.04 and keep upgrading, and it made my brother get interested in Ubuntu too. It's not just the eye candy, they made me much more productive. I'm really glad we didn't get stuck with Gnome Shell like the other distros did. I love the direction Ubuntu's heading and I'm looking forward to Precise.

I would like to comment on this subject because I find it sad that Allison's post #81 is being ignored. Allison has a very important point for this discussion: it's both sides of the community who need to engage in a more healthy way, and we already got people from both sides trying to do that.

It's easy to say that the developers should get a tougher skin, but that's not something easy (or desirable) to do. Some unsatisfied users are not trying to get a tougher skin in face of what they perceive as harsh answers from the design team, so why should the developers do that? That's not a realistic request. We need to ask for politeness, not for tougher skins. When we are aggressive to someone, we should expect at least the same level of aggressiveness. We're all humans who have trouble keeping a cool head even when trying really hard to. It's naive to expect otherwise.

We should recognize that things are getting better. The UDS decision of focusing on power users and allowing more customizability is a huge step forward to settle this matter. There's increased responsiveness of the design team in some bugs, and even in this bug report we can see progress in the answers. I really don't like the facts that one single person can override at will decisions made by the teams if they don't fit their personal view and that the community isn't included in the making of these decisions, but post #110 really makes sense. Even if they wanted to, they couldn't do everything, specially things outside the blueprints. Sebastian's statistics do show that they do a lot for us. The power user community needs to be more comprehensive about the limitations of the design team and to start looking for answers to their "wontfix" problems on their own because it's not even humanely viable for the teams to do all that extra work. We can't demand that the Unity developers go out of their way to satisfy our requests, which may be a priority to us but not to other people. Maybe the community could go crowdfunding in order to raise those "several thousand dollars" for someone who has the hability to fix those bugs in Unity that affect a great deal of users but Canonical can't/won't/don't want to address at the moment?

On the other hand, there really is a great deal of users who are not feeling included in Unity development because decisions are made and reverted without their input and because their suggestions do not get a proper answer, and this must be recognized and engaged. I...

Read more...

SRoesgen (s-roesgen) wrote :

@Danillo (and @all)

What I liked very much about your comment are two things:

Firstly:
>If there still is activity in a bug and there's even people forking Unity to fix it, then the bug's not just someone's pet peeve, it's a real problem for a lot of users. Otherwise, the "affects me too" is just pointless.

You really get to the heart of one of the problems. The "affects me too" system is absolutely without any meaning if the usual answer to 80, 200 or 250 "affect me voters" can simply be "there are millions of Ubuntu users so those few 'affects me too voters' do not count". If there are millions of Ubuntu users so be it, but if the "affects me too" votes have to climb a ladder of let's say 500,000 rungs (i.e. votes) to be considered worth discussion this is a really meaningless system. Perhaps one should create a bug report "the affects me too system is broken". But then again we would need some hundred-thousand affects me too voters.

Secondly:
> Now, I've always felt that Unity has always been several steps ahead of Gnome Shell both in usability as in customizability, but GS extensions make Unity fall behind. It's very important that a similar system for Unity like suggested be discussed instead of being so quickly dismissed. Firefox does have headaches with add-on support, but that payed off, making it a huge factor for it's dissemination. I can't live without some Firefox add-ons, and neither can Ubuntu: if we didn't have "Ubufox" and "Firefox Unity Integration", Firefox in Ubuntu wouldn't just lack overlay scrollbars, it would look like a complete alien. If Unity extensions had an extensive disclaimer about their lack of warranty and how that they break Unity's design and may possibly break other things in the system, they wouldn't need support from Canonical, would they? They don't even need to have Canonical involvement at all.

I now, this is a long excerpt of your comment, but I think it is worth reading again (by everybody). And I mean it: really everybody should read this because this is a very important and good statement. This is the reason why Unity should be extensible.

And btw.: when I referred to the new extension system of Gnome Shell and asked why we cannot have something like this for Unity, a simple answer by the developers would be "not now, but perhaps later. We lack manpower but see the necessity of such a system". But there was nothing like that. Now, we have a very good explanation by Danillo, why we need extensions. And I am thrilled to hear some answers about that.

Jochen Fahrner (jofa) wrote :

I can second this bug. For example look at this Apache webdav bug:

https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/540747

This is a really nasty bug that makes webdav unusable if you need to work with unix group permissions. They won't fix it for Lucid. They call this "Long term support". That's a bad joke! :-(

The next time I setup a new server I will take Debian. Ubuntu no more.

Magnes (magnesus2) on 2012-02-29
Changed in ayatana-design:
status: Opinion → Confirmed
Changed in unity:
status: Opinion → Confirmed
Changed in ayatana-design:
status: Confirmed → Opinion
Changed in unity:
status: Confirmed → Opinion
papukaija (papukaija) wrote :

Could someone pleaase explain why this bug was closed?

Marius B. Kotsbak (mariusko) wrote :

It is not closed, just changed to status Opinion.

papukaija (papukaija) wrote :

From the wiki, "The idea is that bugs can be marked closed, so developers aren't wasting time on them, but discussion can still be on-going. " is quite closed IMO and this bug doesn't even appear in the search results by fefault.

So, why has this bug been closed;marked as Opinion?

Kangarooo Jānis (kangarooo) wrote :

Goodly proposed question

Magnetizer (magnetizer) wrote :

One would expect that a team working on Unity would know how to create unity.

Changed in unity:
assignee: nobody → Unity Team (unity-team)
mr.goose (editor-garfnet) wrote :

For those who dislike Unity intensely but do not want to leave the Ubuntu community (yet) here are couple of possible workarounds that might offer you the familiar look-and-feel you require.:-

1. sudo apt-get install kubuntu-desktop
This will install the beautiful-looking and Windows7-like KDE4 desktop. The start button is in the right place. The pop up applications menu, the task bar and status area all make sense. And you can have the desktop as a desktop or a folder or an app or widget or slideshow - your choice. In fact most people I show it to ask if it's a new version of Windows! Most of KDE's notorious early issues have been resolved. Basically KDE4 was released long before it was ready. But it's OK now.

pros:- Familiar look-and-feel; very feature-rich; very pretty; highly customisable; shed-loads of eye-candy; lots of extensibility; super KDE apps available (though you can run these on other desktops too); ; my girlfriend likes it - so does my bro.

cons:- Can be a bit resource hungry; you really need a decent machine, especially if you want to use all the whirling desktop cubes and wobbly windows and stuff; there are still a few annoying minor bugs that remain unresolved.

Not sure if this is a pro or a con:- After you have used KDE 4 for a while, and customised it to your liking, all other desktops, including Macs might seem crude, or lacking in functionality. My g/f has to use a Mac at work and frequently comes home complaining about all the "Things the bloody Mac won't do!"

2. sudo apt-get install xubuntu-desktop
This installs the simple but stable XFCE desktop. This is fairly customisable but generally has the look and feel of a plain vanilla Windows 95 desktop. XFCE can be beautified. However, my experience is that many XFCE users are not interested in beautiful desktops. They just want to look at the web or read their email etc., with the least amount of hassle or delay.

Pros:- Very stable, very simple; very familiar look and feel; does not hog resources; doesn't get in the way; Linus Torvalds uses it; my mum likes it.
Cons:- It's a bit plain-looking.

FWIW, I chose option 1 (KDE) for my desktops/laptops and option 2 (XFCE) for servers, for most of my customers and for elder family members. I have just one customer still determined to give Unity a fair go, and even he's considering dumping it.

HTH, best wishes, G.

Marius B. Kotsbak (mariusko) wrote :

You forgot to include that Gnome (3?) is still available:

sudo apt-get install gnome-session-fallback

and

sudo apt-get install lubuntu-desktop

that gives the LXDE desktop environment.

As well as some other more exotic window managers like packages "fluxbox" and "icewm", some of which I think can be combined with Gnome.

Tal Liron (emblem-parade) wrote :

@mr.goose, Marius

These are good options for power users, but do not solve the core issues raised by this bug. To revise an idea I raised here before:

Perhaps on the login screen (LightDM) there should already be an option to install additional desktops, using a very easy interface. Each desktop should get a description for the kind of users and workloads it is best suited for. Even better would be a screenshot-guided tour, similar perhaps to what you see during the Ubuntu Installer.

Especially important (and more relevant to this bug about communication with the community) is that the description for Unity should be HONEST about its cons. I maintain that poor marketing and too high expectations are one of the main reasons Unity has been receiving so much negativity. Unity is truly a terrific desktop shell, but it's still a work in progress, and is awkward for many kinds of work habits that many computer users have. As long as users know this, they would be more inclined to experiment, more forgiving, and more ready to move to a more mature solution if they need it.

This option to install additional desktops should be very prominent! You should not have to dig deep into a Launchpad issue in order to discover that you have other options...

mr.goose (editor-garfnet) wrote :

@Tal Liron...

I was not offering a solution to the core issues raised by this bug. I was careful to describe my suggestions merely as "possible workarounds". Having completely dumped Windows in favour of Ubuntu back in 2007, Unity was very bad news indeed for us. We have paying customers who depend on Ubuntu, that describe Unity as a "worse than Windows experience" or "Ubuntu's Vista". Therefore we had the stark choice of finding some viable workarounds or dumping Ubuntu altogether.

I agree with you that forcing a half-finished desktop on users is a very bad idea - something the KDE devs have very much learnt the hard way. However, I'm not sure I would agree that Unity is a "terrific desktop" though. At least with early, buggy incarnations of KDE 4, one could see that once the bugs were fixed and features properly implemented, that KDE4 would be a great desktop. And it is.

The situation with Unity is entirely different, IMHO. What we see with Unity is a crude, Fisher-Price style interface, with loads of really stupid annoying features that get in the way of doing any serious work, e.g. the disappearing scroll bars and menu bars. These features are stupid and annoying. Users hate them. Regardless of how much polish they apply to Unity, these features will *always* be stupid and annoying.

Added to which, whilst I am a great admirer of Mark Shuttleworth, I think he is presenting himself very badly in this instance. Frankly, he comes across as arrogant and uncaring. As you put it at top of this thread, rather more politely , "This appears to be a communications failure between the people who make Unity and its community of users."

The knock-on effects of this communications failure should not be underestimated. This article by Scott Gilbertson in The Register entitled "Sick of Ubuntu's bad breath? Suck on a Linux Mint instead" sums up the situation far better that I can:-
http://www.theregister.co.uk/2012/01/30/mint_12_under_the_covers/

And doubtless you have already seen Bruce Byfield's blog in Linux Magazine, that discusses this thread:-
http://www.linux-magazine.com/Online/Blogs/Off-the-Beat-Bruce-Byfield-s-Blog/A-Disturbing-Dialog-About-Ubuntu-and-Unity

And if that is not enough to indicate that Ubuntu is heading in the wrong direction, Distrowatch's page hit ranking now places Ubuntu at #3, with Mint occupying the top slot for the last 12 months:-
http://distrowatch.com/dwres.php?resource=popularity

Like yourself and many other contributors to this thread, I am a huge Ubuntu fan. I am so very sorry to see it embarking on this path of wilful ignorance and ultimate self-destruction.

Best wishes, G.

Benjamin Kerensa (bkerensa) wrote :

@mr.goose

We do not measure community engagement based on Distrowatch rankings and its trivial as to whether Distrowatch rankings are good for measurement of anything and further we do not use sensationalized tech articles to guage whether we are heading in the right direction especially since those same writers flip flop on how good or bad Ubuntu is every other article.

The state of the Ubuntu Community is good and if you engaged the Community you would know this.

mr.goose (editor-garfnet) wrote :

Benjamin.

I took great care in my posts *not* to criticise the state of the Ubuntu community in any way at all. My criticisms with regard to engagement were aimed at the seemingly high-handed approach of the leadership and undesirability of forcing a half-finished and some would argue fundamentally-flawed desktop on its community of users. Like the o/p and many other contributors to this thread, I wanted to express my concern with regard to the damage this course of action is likely to cause.

Clearly, there is a significant number of users for whom Unity is entirely inappropriate. Therefore I also suggested some safe and relatively straightforward workarounds so that users could stay with Ubuntu, whilst using a desktop environment that was much more suited to their needs.

Finally, now that you mention it, how *do* you measure community engagement? And what makes you so certain that the Unity fiasco is really doing no harm?

Best wishes, G.

Tal Liron (emblem-parade) wrote :

@Benajmin,

Unfortunately your attitude exemplifies the problem.

I don't know how you define community, but Launchpad and all the people posting here (and on the related bugs) are an obvious part of the community of Ubuntu users. As are journalists, bloggers, and managers of such sites as Distrowatch. Your blatant disrespect for all of these -- while at the same time claiming victory! -- is a sure sign of being out-of-touch, and ultimately failing.

What happened is that the Unity team has surrounded itself with yes-men, contributers who are pre-selected for supporting the decisions, and so for insiders there is an illusion that everything is great.

This was the core of my argument with Shuttleworth: he really dislikes my using the terms "insider" vs. "outsider" in discussing the Unity and Ubuntu community, but statements such as yours, Benjamin, make it crystal clear that these terms have legs.

Look, people like me are never going to be "insiders." I'm too busy with other things (mostly in free software) to join all the internal mailing lists and discussions. But I depend on Ubuntu for myself and many of my clients, and I evalute, blog and proseltyze where appropriate. And, of course, I open bugs, and follow through on them, which I personally think is a very, very important community contribution, and I'm constantly exaspertated by how flippantly these bugs are closed.

It's your decision to push people like me to the "outside." We're sensationalists? We flip flop? Well, OK, but we're your community, and we're the key to your ongoing success... or eventual failure. Ignore us at your own risk.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers